<?php

class DTPortfolioAddonPostType {
		
	function __construct() {

		add_action ( 'init', array ( $this, 'dtpfaddon_init' ) );
		add_action ( 'admin_init', array ( $this, 'dtpfaddon_admin_init'  ) );		
		
		add_filter ( 'cs_metabox_options', array ( $this, 'dtpfaddon_portfolio_cs_metabox_options' ) );
		add_filter ( 'cs_framework_options', array ( $this, 'dtpfaddon_portfolio_cs_framework_options' ) );

		add_filter ( 'template_include', array ( $this, 'dtpfaddon_template_include' ) );

	}

	/* Init Functions */

	function dtpfaddon_init() {

		$this->createPostType();
		add_action( 'portfolio_entries_add_form_fields', array ( $this, 'dtpfaddon_add_category_image' ), 10, 2 );
		add_action( 'created_portfolio_entries', array ( $this, 'dtpfaddon_save_category_image' ), 10, 2 );
		add_action( 'portfolio_entries_edit_form_fields', array ( $this, 'dtpfaddon_update_category_image' ), 10, 2 );
		add_action( 'edited_portfolio_entries', array ( $this, 'dtpfaddon_updated_category_image' ), 10, 2 );

	}

	function createPostType() {

		$portslug = fullscreenartists_cs_get_option( 'single-portfolio-slug', 'dt_portfolios' );
		$taxslug = fullscreenartists_cs_get_option( 'portfolio-category-slug', 'portfolio_entries' );
		$tagslug  = fullscreenartists_cs_get_option( 'portfolio-tag-slug', 'portfolio-tags' );

		$labels = array (
				'name' => esc_html__( 'Portfolios', 'dtportfolioaddon' ),
				'all_items' => esc_html__( 'All Portfolios', 'dtportfolioaddon' ),
				'singular_name' => esc_html__( 'Portfolio', 'dtportfolioaddon' ),
				'add_new' => esc_html__( 'Add New', 'dtportfolioaddon' ),
				'add_new_item' => esc_html__( 'Add New Portfolio', 'dtportfolioaddon' ),
				'edit_item' => esc_html__( 'Edit Portfolio', 'dtportfolioaddon' ),
				'new_item' => esc_html__( 'New Portfolio', 'dtportfolioaddon' ),
				'view_item' => esc_html__( 'View Portfolio', 'dtportfolioaddon' ),
				'search_items' => esc_html__( 'Search Portfolios', 'dtportfolioaddon' ),
				'not_found' => esc_html__( 'No Portfolios found', 'dtportfolioaddon' ),
				'not_found_in_trash' => esc_html__( 'No Portfolios found in Trash', 'dtportfolioaddon' ),
				'parent_item_colon' => esc_html__( 'Parent Portfolio:', 'dtportfolioaddon' ),
				'menu_name' => esc_html__( 'Portfolios', 'dtportfolioaddon' ) ,					
		);
		
		$args = array (
					'labels' => $labels,
					'hierarchical' => false,
					'description' => esc_html__( 'This is custom post type portfolios', 'dtportfolioaddon' ),
					'supports' => array (
							'title',
							'editor',
							'comments',
							'thumbnail',
							'excerpt',
							'revisions'
					),
					
					'public' => true,
					'show_ui' => true,
					'show_in_menu' => true,
					'menu_position' => 5,
					'menu_icon' => 'dashicons-format-image',
					
					'show_in_nav_menus' => true,
					'publicly_queryable' => true,
					'exclude_from_search' => false,
					'has_archive' => true,
					'query_var' => true,
					'can_export' => true,
					'show_in_rest'      => true,
					'rewrite' => array( 'slug' => $portslug ),
					'capability_type' => 'post'
				);

		register_post_type ( 'dt_portfolios', $args );

		register_taxonomy ( 'portfolio_entries', array (
				'dt_portfolios' 
		), array (
				'hierarchical'      => true,
				'label'             => esc_html__( 'Categories', 'dtportfolioaddon' ),
				'singular_label'    => esc_html__( 'Category', 'dtportfolioaddon' ),
				'show_admin_column' => true,
				'rewrite'           => array( 'slug' => $taxslug ),
				'show_in_rest'      => true,
				'query_var'         => true 
		) );

		register_taxonomy ( 'portfolio_tags', array (
			'dt_portfolios'
		), array (
			"label"             => esc_html__( "Tags",'dtportfolioaddon' ),
			"singular_label"    => esc_html__( "Tag",'dtportfolioaddon' ),
			"show_admin_column" => true,
			"rewrite"           => array( 'slug' => $tagslug ),
			'show_in_rest'      => true,
			"query_var"         => true 
		) );

	}

	function dtpfaddon_add_category_image ( $taxonomy ) { 

	   echo '<div class="form-field term-group">
			     <label for="category-image-id">'.esc_html__('Image', 'dtportfolioaddon').'</label>
			     <input type="hidden" id="category-image-id" name="category-image-id" class="custom_media_url" value="">
			     <div id="category-image-wrapper"></div>
			     <p>
			       <input type="button" class="button button-secondary ct_tax_media_button dt-cat-open-media" id="ct_tax_media_button" name="ct_tax_media_button" value="'.esc_html__( 'Add Image', 'dtportfolioaddon' ).'" />
			       <input type="button" class="button button-secondary ct_tax_media_remove" id="ct_tax_media_remove" name="ct_tax_media_remove" value="'.esc_html__( 'Remove Image', 'dtportfolioaddon' ).'" />
			    </p>
			    <p>'.esc_html__('This option will be used for "Portfolio Categories" shortcode.', 'dtportfolioaddon').'</p>
			</div>';
	   echo '<div class="form-field term-group">
			    <label for="category-enable-album">'.esc_html__('Enable Album Gallery', 'dtportfolioaddon').'</label>
			    <select name="category-enable-album" id="category-enable-album" class="postform">
					<option value="false">'.esc_html__('False', 'dtportfolioaddon').'</option>
					<option value="true">'.esc_html__('True', 'dtportfolioaddon').'</option>
				</select>
				<p>'.esc_html__('This option will be used for "Portfolio Categories" shortcode.', 'dtportfolioaddon').'</p>
			</div>';

	}

	function dtpfaddon_save_category_image ( $term_id, $tt_id ) {

		if( isset( $_POST['category-image-id'] ) ){
			$image = $_POST['category-image-id'];
			add_term_meta( $term_id, 'category-image-id', $image, true );
		}
		if( isset( $_POST['category-enable-album'] ) ){
			$album = $_POST['category-enable-album'];
			add_term_meta( $term_id, 'category-enable-album', $album, true );
		}	

	}	

	function dtpfaddon_update_category_image ( $term, $taxonomy ) {

		echo '<tr class="form-field term-group-wrap">
				<th scope="row">
					<label for="category-image-id">'.esc_html__('Image', 'dtportfolioaddon').'</label>
				</th>
				<td>';
					$image_id = get_term_meta ( $term -> term_id, 'category-image-id', true );
					echo '<input type="hidden" id="category-image-id" name="category-image-id" value="'.$image_id.'">
						<div id="category-image-wrapper">';
							if ( $image_id ) {
								echo wp_get_attachment_image ( $image_id, 'thumbnail' );
							}
					echo '</div>
					<p>
						<input type="button" class="button button-secondary ct_tax_media_button dt-open-media" id="ct_tax_media_button" name="ct_tax_media_button" value="'.esc_html__( 'Add Image', 'dtportfolioaddon' ).'" />
						<input type="button" class="button button-secondary ct_tax_media_remove" id="ct_tax_media_remove" name="ct_tax_media_remove" value="'.esc_html__( 'Remove Image', 'dtportfolioaddon' ).'" />
					</p>
					<p>'.esc_html__('This option will be used for "Portfolio Categories" shortcode.', 'dtportfolioaddon').'</p>
				</td>
			</tr>';

		echo '<tr class="form-field term-group-wrap">
				<th scope="row">
					<label for="category-enable-album">'.esc_html__('Enable Album Gallery', 'dtportfolioaddon').'</label>
				</th>
				<td>';
					$enable_album = get_term_meta ( $term -> term_id, 'category-enable-album', true );
					echo '<select name="category-enable-album" id="category-enable-album" class="postform">
							<option value="false" '.selected('false', $enable_album, false).'>'.esc_html__('False', 'dtportfolioaddon').'</option>
							<option value="true" '.selected('true', $enable_album, false).'>'.esc_html__('True', 'dtportfolioaddon').'</option>
						</select>
					<p>'.esc_html__('This option will be used for "Portfolio Categories" shortcode.', 'dtportfolioaddon').'</p>
				</td>
			</tr>';	

	}			

	function dtpfaddon_updated_category_image ( $term_id, $tt_id ) {

		if( isset( $_POST['category-image-id'] ) && '' !== $_POST['category-image-id'] ){
			$image = $_POST['category-image-id'];
			update_term_meta ( $term_id, 'category-image-id', $image );
		} else {
			update_term_meta ( $term_id, 'category-image-id', '' );
		}
		if( isset( $_POST['category-enable-album'] ) && '' !== $_POST['category-enable-album'] ){
			$image = $_POST['category-enable-album'];
			update_term_meta ( $term_id, 'category-enable-album', $image );
		} else {
			update_term_meta ( $term_id, 'category-enable-album', '' );
		}	

	}

	/* Admin Init Functions */

	function dtpfaddon_admin_init() {

		add_filter ( 'manage_edit-dt_portfolios_columns', array ( $this, 'dtpfaddon_portfolios_edit_columns'  ) );		
		add_action ( 'manage_posts_custom_column', array ( $this, 'dtpfaddon_portfolios_columns_display' ), 10, 2 );

	}

	function dtpfaddon_portfolios_edit_columns($columns) {

		$newcolumns = array (
			"cb" => "<input type=\"checkbox\" />",
			"dt_portfolio_thumb" => esc_html__("Image", 'dtportfolioaddon'),
			"title" => esc_html__("Title", 'dtportfolioaddon'),
			"author" => esc_html__("Author", 'dtportfolioaddon')
		);
		$columns = array_merge ( $newcolumns, $columns );
		return $columns;

	}

	function dtpfaddon_portfolios_columns_display($columns, $id) {

		global $post;

		switch ($columns) {

			case "dt_portfolio_thumb" :

			    $image = wp_get_attachment_image(get_post_thumbnail_id($id), array(75,75));
				if(!empty($image)):
				  	echo ($image);
			    else:
					$portfolio_settings = get_post_meta ( $post->ID, '_portfolio_settings', TRUE );
					$portfolio_settings = is_array ( $portfolio_settings ) ? $portfolio_settings : array ();

					if( array_key_exists('portfolio-gallery', $portfolio_settings)) {
						$items = explode(',', $portfolio_settings['portfolio-gallery']);
						echo wp_get_attachment_image( $items[0], array(75, 75) );
					}
				endif;

			break;

		}

	}

	/* Metabox Options */

	function dtpfaddon_portfolio_cs_metabox_options( $options ) {

		$fields = cs_get_option( 'portfolio-custom-fields');
		$bothfields = $fielddef = $x = array();
		$before = '';

		if(!empty($fields)) :

			$i = 1;
			foreach($fields as $field):
				$x['id'] = 'portfolio_opt_flds_title_'.$i;
				$x['type'] = 'text';
				$x['title'] = 'Title';
				$x['attributes'] = array( 'style' => 'background-color: #f0eff9;' );
				$bothfields[] = $x;
				unset($x);
		
				$x['id'] = 'portfolio_opt_flds_value_'.$i;
				$x['type'] = 'text';
				$x['title'] = 'Value';
				$bothfields[] = $x;

				$fielddef['portfolio_opt_flds_title_'.$i] = $field['portfolio-custom-fields-text'];

				$i++;
			endforeach;	
		else:
			$before = '<span>'.esc_html__('Go to options panel add few custom fields, then return back here.', 'dtportfolioaddon').'</span>';
		endif;
		
		$options[]    = array(
		  'id'        => '_portfolio_settings',
		  'title'     => esc_html__('Custom Portfolio Options', 'dtportfolioaddon'),
		  'post_type' => 'dt_portfolios',
		  'context'   => 'normal',
		  'priority'  => 'default',
		  'sections'  => array(
								
							// General Section	
							array( 

								'name'  => 'general_section',
								'title' => esc_html__('General Options', 'dtportfolioaddon'),
								'icon'  => 'fa fa-cogs',

								'fields' => array(

												// Portfolio Layout
												array(
													'id'  		 => 'portfolio-layout',
													'type'  	 => 'select',
													'title' 	 => esc_html__('Portfolio Layout', 'dtportfolioaddon'),
													'class'		 => 'chosen',
													'options'    => array(
																		'custom-layout'=>'Custom Layout',
																		'media-on-top'=>'Media On Top',
																		'fixed-gallery'=>'Fixed Gallery',
																		'fixed-feature-image'=>'Fixed Feature Image',
																		'gallery-list'=>'Gallery List',
																	),										
												),

												// Show Breadcrumb
											    array(
											      'id'      => 'enable-sub-title',
											      'type'    => 'switcher',
											      'title'   => esc_html__('Show Breadcrumb', 'fullscreen-artists' ),
											      'default' => true
											    ),

												// Breadcrumb
												array(
													'id'    => 'breadcrumb_background',
													'type'  => 'background',
													'title' => esc_html__('Background', 'dtportfolioaddon'),
													'desc'  => esc_html__('Choose background options for breadcrumb title section.', 'dtportfolioaddon'),
													'dependency'   => array( 'portfolio-layout', '==', 'custom-layout' ),					
												),

												// Page Layout
												array(
													'id'      	 => 'layout',
													'type'         => 'image_select',
													'title'        => esc_html__('Layout', 'dtportfolioaddon'),
													'options'      => array(
														'content-full-width'   => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
														'with-left-sidebar'    => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
														'with-right-sidebar'   => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
													),
													'default'      => 'content-full-width',
													'attributes'   => array(
														'data-depend-id' => 'layout',
													),
													'dependency'   => array( 'portfolio-layout', '==', 'custom-layout' ),
												),

												// Standard left sidebar				
												array(
													'id'  		 => 'show-standard-sidebar-left',
													'type'  		 => 'switcher',
													'title' 		 => esc_html__('Show Standard Left Sidebar', 'dtportfolioaddon'),
													'dependency'   => array( 'portfolio-layout|layout', '==|any', 'custom-layout|with-left-sidebar' ),
												),

												array(
													'id'  		 => 'widget-area-left',
													'type'  		 => 'select',
													'title' 		 => esc_html__('Choose Widget Area - Left Sidebar', 'dtportfolioaddon'),
													'class'		 => 'chosen',
													'options'   	 => fullscreenartists_custom_widgets(),
													'attributes'   => array(
														'multiple'  	   => 'multiple',
														'data-placeholder' => esc_attr__('Select Widget Areas', 'dtportfolioaddon'),
														'style' 		   => 'width: 400px;'
													),
													'dependency'   => array( 'portfolio-layout|layout', '==|any', 'custom-layout|with-left-sidebar' ),
												),

												// Standar right sidebar
												array(
													'id'  		 => 'show-standard-sidebar-right',
													'type'  		 => 'switcher',
													'title' 		 => esc_html__('Show Standard Right Sidebar', 'dtportfolioaddon'),
													'dependency'   => array( 'portfolio-layout|layout', '==|any', 'custom-layout|with-right-sidebar' ),
												),
												
												array(
													'id'  		 => 'widget-area-right',
													'type'  		 => 'select',
													'title' 		 => esc_html__('Choose Widget Area - Right Sidebar', 'dtportfolioaddon'),
													'class'		 => 'chosen',
													'options'   	 => fullscreenartists_custom_widgets(),
													'attributes'   => array(
														'multiple'  	   => 'multiple',
														'data-placeholder' => esc_attr__('Select Widget Areas', 'dtportfolioaddon'),
														'style' 		   => 'width: 400px;'
													),
													'dependency'   => array( 'portfolio-layout|layout', '==|any', 'custom-layout|with-right-sidebar' ),
												),

												// Masonry size
												array(
												  'id'           => 'masonry-size',
												  'type'         => 'select',
												  'title'        => esc_html__('Masonry Size', 'dtportfolioaddon'),
												  'options'      => array(
																''     => esc_html__('Default', 'dtportfolioaddon'),
													'grid-sizer-1'     => esc_html__('Grid Size 1', 'dtportfolioaddon'),
													'grid-sizer-2'     => esc_html__('Grid Size 2', 'dtportfolioaddon'),
													'grid-sizer-3'     => esc_html__('Grid Size 3', 'dtportfolioaddon'),
													'grid-sizer-4'     => esc_html__('Grid Size 4', 'dtportfolioaddon'),
													'grid-sizer-5'     => esc_html__('Grid Size 5', 'dtportfolioaddon')
												  ),
												  'class'        => 'chosen',
												  'default'      => '',
												  'info'       	 => esc_html__('It works with portfolio infinite shortcode only.', 'dtportfolioaddon')
												),

												// Gallery list options
												array(
													'id'    => 'portfolio-layout-options',
													'type'  => 'fieldset',
													'title' => esc_html__('Portfolio Layout - Options', 'dtportfolioaddon'),
													'dependency'   => array( 'portfolio-layout', '!=', 'custom-layout' ),
													'fields' => array(
																	array(
																		'type' => 'switcher',
																		'id' => 'enable-layout-fullwidth',
																		'title' => esc_html__('Enable Fullwidth', 'dtportfolioaddon'),
																		'desc'  => esc_html__('If you wish to enable fullwidth for your site.', 'dtportfolioaddon'),
																		'dependency'   => array( 'portfolio-layout', 'any', 'custom-layout,media-on-top,fixed-gallery,fixed-feature-image' ),
																	),					
																	array(
																		'type' => 'select',
																		'id' => 'gallery-position',
																		'title' => esc_html__('Gallery Position', 'dtportfolioaddon'),
																		'desc'  => esc_html__('Choose position for your gallery items.', 'dtportfolioaddon'),
																		'options' => array(
																						'' => 'Left', 
																						'right' => 'Right'
																						),
																		'dependency'   => array( 'portfolio-layout', 'any', 'fixed-gallery,fixed-feature-image,gallery-list' ),
																	)					
																),														
												)	

											)												

							),

							// Gallery Section	
							array(

								'name'  => 'gallery_section',
								'title' => esc_html__('Gallery Options', 'dtportfolioaddon'),
								'icon'  => 'fa fa-picture-o',
								'fields' => array(

												array(
													'id'          => 'portfolio-gallery',
													'type'        => 'gallery',
													'title'       => esc_html__('Gallery Images', 'dtportfolioaddon'),
													'desc'        => esc_html__('Simply add images to gallery items.', 'dtportfolioaddon'),
													'add_title'   => esc_html__('Add Images', 'dtportfolioaddon'),
													'edit_title'  => esc_html__('Edit Images', 'dtportfolioaddon'),
													'clear_title' => esc_html__('Remove Images', 'dtportfolioaddon'),
													'show_id' => true
												),

											),

							),

							// Optional Section	
							array(
								'name'  => 'optional_section',
								'title' => esc_html__('Optional Fields', 'dtportfolioaddon'),
								'icon'  => 'fa fa-plug',
								'fields' => array(

												array(
													'id'        => 'portfolio_opt_flds',
													'type'      => 'fieldset',
													'title'     => esc_html__('Optional Fields', 'dtportfolioaddon'),
													'fields'    => $bothfields,
													'default'   => $fielddef,
													'before' 	  => $before
												),

											),
							),

							// Portfolio Addon Section
							array(
							  'name'  => 'portfolio_addon_section',
							  'title' => esc_html__('DesignTheme Addon Options', 'dtportfolioaddon'),
							  'icon'  => 'fa fa-cogs',
							  'fields' => array(
											
												// Hover style
												array(
													'id'    => 'hover-styles',
													'type'  => 'select',
													'title' => esc_html__('Hover Styles', 'dtportfolioaddon'),
													'desc'  => esc_html__('Choose hover style for your portfolio item.', 'dtportfolioaddon'),
													'options'=> array( 
															'' => esc_html__('Default','dtportfolioaddon'), 
															'modern-title' => esc_html__('Modern Title','dtportfolioaddon'), 
															'title-icons-overlay' => esc_html__('Title & Icons Overlay','dtportfolioaddon'), 
															'title-overlay' => esc_html__('Title Overlay','dtportfolioaddon'),
															'icons-only' => esc_html__('Icons Only','dtportfolioaddon'), 
															'classic' => esc_html__('Classic','dtportfolioaddon'), 
															'minimal-icons' => esc_html__('Minimal Icons','dtportfolioaddon'),
			                                    			'presentation' => esc_html__('Presentation','dtportfolioaddon'), 
			                                    			'girly' => esc_html__('Girly','dtportfolioaddon'), 
			                                    			'art' => esc_html__('Art','dtportfolioaddon'), 
			                                    			'extended' => esc_html__('Extended','dtportfolioaddon'), 
			                                    			'boxed' => esc_html__('Boxed','dtportfolioaddon'), 
			                                    			'centered-box' => esc_html__('Centered Box','dtportfolioaddon'), 
			                                    			'with-gallery-thumb' => esc_html__('With Gallery Thumb','dtportfolioaddon'), 
			                                    			'with-gallery-list' => esc_html__('With Gallery List','dtportfolioaddon'), 
			                                    			'grayscale' => esc_html__('Grayscale','dtportfolioaddon'), 
			                                    			'highlighter' => esc_html__('Highlighter','dtportfolioaddon'), 
			                                    			'with-details' => esc_html__('With Details','dtportfolioaddon'), 
			                                    			'bottom-border' => esc_html__('Bottom Border','dtportfolioaddon'), 
			                                    			'with-intro' => esc_html__('With Intro','dtportfolioaddon')
		                                    			)										  
												),

												// Enable Header Over Content
												array(
													'id'  		=> 'enable-header-over-content',
													'type'  	=> 'switcher',
													'title' 	=> esc_html__('Enable Header Over Content', 'dtportfolioaddon'),
												),

												// Disable Transparent Header
												array(
													'id'  		=> 'disable-transparent-header',
													'type'  	=> 'switcher',
													'title' 	=> esc_html__('Disable Transparent Header', 'dtportfolioaddon'),
												),												

												// Disable top spaces
												array(
													'id'  		=> 'disable-top-spaces',
													'type'  	=> 'switcher',
													'title' 	=> esc_html__('Disable Top Spaces', 'dtportfolioaddon'),
												),	

												// Disable bottom spaces
												array(
													'id'  		=> 'disable-bottom-spaces',
													'type'  	=> 'switcher',
													'title' 	=> esc_html__('Disable Bottom Spaces', 'dtportfolioaddon'),
												),

												// Disable Footer
												array(
													'id'  		=> 'disable-footer',
													'type'  	=> 'switcher',
													'title' 	=> esc_html__('Disable Footer', 'dtportfolioaddon'),
												),												

												// Different Parallax Speed Values
												array(
													'id'    => 'different-parallax-speed-values',
													'type'  => 'text',
													'title' => esc_html__('Different Parallax Speed Values', 'dtportfolioaddon'),
												),

												// Random Parallax Speed Values
												array(
													'id'    => 'random-parallax-speed-values',
													'type'  => 'text',
													'title' => esc_html__('Random Parallax Speed Values', 'dtportfolioaddon'),
												),	

												// Animation Effect
												array(
													'id'    => 'animationeffect',
													'type'  => 'select',
													'title' => esc_html__('Animation Effect', 'dtportfolioaddon'),
													'options'=> $GLOBALS['dtpfaddon_animationtypes']
												),	

												// Animation Delay
												array(
													'id'    => 'animationdelay',
													'type'  => 'number',
													'title' => esc_html__('Animation Delay', 'dtportfolioaddon'),
												),															

												// Hover Background Color
												array(
													'id'    => 'hover-background-color',
													'type'  => 'color_picker',
													'title' => esc_html__('Hover Background Color', 'dtportfolioaddon'),
												),

												// Hover Content Color
												array(
													'id'    => 'hover-content-color',
													'type'  => 'select',
													'title' => esc_html__('Hover Content Color', 'dtportfolioaddon'),
													'options'=> array( 
															'' => 'Default', 
															'hover-content-color-dark' => 'Hover Content Color Dark', 
															'hover-content-color-light' => 'Hover Content Color Light'
		                                    			)										  
												),													

												// Gradient Second Color
												array(
													'id'    => 'hover-gradient-color',
													'type'  => 'color_picker',
													'title' => esc_html__('Gradient Second Color', 'dtportfolioaddon'),
												),	

												// Gradient Direction
												array(
													'id'    => 'hover-gradient-direction',
													'type'  => 'select',
													'title' => esc_html__('Gradient Direction', 'dtportfolioaddon'),
													'options'=> array(
																	'lefttoright' => 'Left to Right', 
																	'toptobottom' => 'Top to Bottom', 
																	'diagonal' => 'Diagonal'
																)							  
												),	

												// Hover State
												array(
													'id'  		=> 'hover-state',
													'type'  	=> 'switcher',
													'title' 	=> esc_html__('Hover State', 'dtportfolioaddon'),
												),						

											)
							)

		  				),
		);

		$options[] = array(
							'id'        => '_portfolio_featured_video',
							'title'     => esc_html__('Featured Video', 'dtportfolioaddon'),
							'post_type' => 'dt_portfolios',
							'context'   => 'side',
							'priority'  => 'low',
							'sections'  => array(
												array(
													'name'  => 'featured_video_section',
													'fields' => array(
																	array(
																		'id'    => 'featured_video',
																		'type'  => 'text',
																		'title' => esc_html__('Featured Video', 'dtportfolioaddon'),
																		'desc'  => esc_html__('Please enter the video url in following format mp4, webm,... If video URL field is empty featured image will be used. It will be used to display in template page or shorcodes.', 'dtportfolioaddon')
																	),
																)
												)
											)
						);
		
		return $options;
		
	}			

	/* Framework Options */
	function dtpfaddon_portfolio_cs_framework_options( $options ) {
		
		$options[] = array(
						'name'        => 'portfolios',
						'title'       => esc_html__('Portfolios', 'dtportfolioaddon'),
						'icon'        => 'fa fa-photo',
						'fields'      => array(

											array(
												'type'    => 'subheading',
												'content' => esc_html__( 'Portfolio Archives Page Options', 'dtportfolioaddon' ),
											),

											array(
												'id'      	   => 'portfolio-archives-page-layout',
												'type'         => 'image_select',
												'title'        => esc_html__('Page Layout', 'dtportfolioaddon'),
												'options'      => array(
													'content-full-width'   => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
													'with-left-sidebar'    => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
													'with-right-sidebar'   => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
													'with-both-sidebar'    => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
												),
												'default'      => 'content-full-width',
												'attributes'   => array(
													'data-depend-id' => 'portfolio-archives-page-layout',
												),
											),

											array(
												'id'  		 => 'show-standard-left-sidebar-for-portfolio-archives',
												'type'  		 => 'switcher',
												'title' 		 => esc_html__('Show Standard Left Sidebar', 'dtportfolioaddon'),
												'dependency'   => array( 'portfolio-archives-page-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
											),

											array(
												'id'  		 => 'show-standard-right-sidebar-for-portfolio-archives',
												'type'  		 => 'switcher',
												'title' 		 => esc_html__('Show Standard Right Sidebar', 'dtportfolioaddon'),
												'dependency'   => array( 'portfolio-archives-page-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
											),

											array(
												'id'      	 => 'portfolio-archives-post-layout',
												'type'         => 'image_select',
												'title'        => esc_html__('Post Layout', 'dtportfolioaddon'),
												'options'      => array(
													'one-column'   => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/one-column.png',
													'one-half-column'   => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/one-half-column.png',
													'one-third-column'  => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/one-third-column.png',
													'one-fourth-column' => FULLSCREENARTISTS_THEME_URI . '/cs-framework-override/images/one-fourth-column.png',
												),
												'default'      => 'one-fourth-column',
											),

											array(
												'id'           => 'portfolio-hover-style',
												'type'         => 'select',
												'title'        => esc_html__('Hover Style', 'dtportfolioaddon'),
												'options'      => array(
																	'' => esc_html__('Default','dtportfolioaddon'), 
																	'modern-title' => esc_html__('Modern Title','dtportfolioaddon'), 
																	'title-icons-overlay' => esc_html__('Title & Icons Overlay','dtportfolioaddon'), 
																	'title-overlay' => esc_html__('Title Overlay','dtportfolioaddon'),
										                            'icons-only' => esc_html__('Icons Only','dtportfolioaddon'), 
										                            'classic' => esc_html__('Classic','dtportfolioaddon'), 
										                            'minimal-icons' => esc_html__('Minimal Icons','dtportfolioaddon'),
										                            'presentation' => esc_html__('Presentation','dtportfolioaddon'), 
										                            'girly' => esc_html__('Girly','dtportfolioaddon'), 
										                            'art' => esc_html__('Art','dtportfolioaddon'), 
										                            'extended' => esc_html__('Extended','dtportfolioaddon'), 
										                            'boxed' => esc_html__('Boxed','dtportfolioaddon'), 
										                            'centered-box' => esc_html__('Centered Box','dtportfolioaddon'),
										                            'with-gallery-thumb' => esc_html__('With Gallery Thumb','dtportfolioaddon'), 
										                            'with-gallery-list' => esc_html__('With Gallery List','dtportfolioaddon'), 
										                            'grayscale' => esc_html__('Grayscale','dtportfolioaddon'), 
										                            'highlighter' => esc_html__('Highlighter','dtportfolioaddon'), 
										                            'with-details' => esc_html__('With Details','dtportfolioaddon'), 
										                            'bottom-border' => esc_html__('Bottom Border','dtportfolioaddon'),
										                            'with-intro' => esc_html__('With Intro','dtportfolioaddon')
												),
												'class'        => 'chosen',
												'default'      => '',
												'info'       	 => esc_html__('Choose post style to display archive page portfolio items.', 'dtportfolioaddon')
											),

											array(
												'id'           => 'portfolio-cursor-hover-style',
												'type'         => 'select',
												'title'        => esc_html__('Cursor Hover Style', 'dtportfolioaddon'),
												'options'      => array(
																	'' => esc_html__('Default','dtportfolioaddon'), 
																	'cursor-hover-style1' => esc_html__('Style 1','dtportfolioaddon'), 
																	'cursor-hover-style2' => esc_html__('Style 2','dtportfolioaddon') ,
																	'cursor-hover-style3' => esc_html__('Style 3','dtportfolioaddon'),
																	'cursor-hover-style4' => esc_html__('Style 4','dtportfolioaddon'),
																	'cursor-hover-style5' => esc_html__('Style 5','dtportfolioaddon'),
																	'cursor-hover-style6' => esc_html__('Style 6','dtportfolioaddon'), 
																),
												'class'        => 'chosen',
												'default'      => '',
												'info'       	 => esc_html__('Choose cursor hover style for your archive page portfolio items.', 'dtportfolioaddon')
											),											

											array(
												'id'  		 => 'portfolio-grid-space',
												'type'  		 => 'switcher',
												'title' 		 => esc_html__('Allow Grid Space', 'dtportfolioaddon'),
												'label'		 => esc_html__('YES! to allow grid space', 'dtportfolioaddon')
											),

											array(
												'id'  		 => 'portfolio-allow-full-width',
												'type'  		 => 'switcher',
												'title' 		 => esc_html__('Allow Full Width', 'dtportfolioaddon'),
												'label'		 => esc_html__('YES! to allow full width', 'dtportfolioaddon')
											),

											array(
												'id'  		=> 'portfolio-post-per-page',
												'type'  	=> 'number',
												'title' 	=> esc_html__('Post Per Page', 'dtportfolioaddon'),
											),		

											array(
												'id'  		 => 'portfolio-disable-item-options',
												'type'  		 => 'switcher',
												'title' 		 => esc_html__('Disable Individual Portfolio Item Options', 'dtportfolioaddon'),
												'label'		 => esc_html__('YES! to disable individual portfolio item options.', 'dtportfolioaddon')
											),
											
											array(
												'type'    => 'subheading',
												'content' => esc_html__( 'Portfolio Custom Fields', 'dtportfolioaddon' ),
											),

											array(
												'id'              => 'portfolio-custom-fields',
												'type'            => 'group',
												'title'           => esc_html__('Custom Fields', 'dtportfolioaddon'),
												'info'            => esc_html__('Click button to add custom fields like name, url and date etc', 'dtportfolioaddon'),
												'button_title'    => esc_html__('Add New Field', 'dtportfolioaddon'),
												'accordion_title' => esc_html__('Adding New Custom Field', 'dtportfolioaddon'),
												'fields'          => array(
																		array(
																			'id'          => 'portfolio-custom-fields-text',
																			'type'        => 'text',
																			'title'       => esc_html__('Enter Text', 'dtportfolioaddon')
																		),
																	)
											),

											array(
												'type'    => 'subheading',
												'content' => esc_html__( 'Permalinks', 'dtportfolioaddon' ),
											),

											array(
												'id'      => 'single-portfolio-slug',
												'type'    => 'text',
												'title'   => esc_html__('Single Portfolio Slug', 'dtportfolioaddon'),
												'after' 	=> '<p class="cs-text-info">'.esc_html__('Do not use characters not allowed in links. Use, eg. portfolio-item ', 'dtportfolioaddon').'<br> <b>'.esc_html__('After made changes save permalinks.', 'dtportfolioaddon').'</b></p>',
											),

											array(
												'id'      => 'portfolio-category-slug',
												'type'    => 'text',
												'title'   => esc_html__('Portfolio Category Slug', 'dtportfolioaddon'),
												'after' 	=> '<p class="cs-text-info">'.esc_html__('Do not use characters not allowed in links. Use, eg. portfolio-types ', 'dtportfolioaddon').'<br> <b>'.esc_html__('After made changes save permalinks.', 'dtportfolioaddon').'</b></p>',
											),

											array(
												'id'      => 'portfolio-tag-slug',
												'type'    => 'text',
												'title'   => esc_html__('Portfolio Tag Slug', 'dtportfolioaddon'),
												'after' 	=> '<p class="cs-text-info">'.esc_html__('Do not use characters not allowed in links. Use, eg. portfolio-tags ', 'dtportfolioaddon').'<br> <b>'.esc_html__('After made changes save permalinks.', 'dtportfolioaddon').'</b></p>',
											),

						),
					);

		return $options;

	}


	/* Include Template Files */

	function dtpfaddon_template_include($template) {

		if (is_singular( 'dt_portfolios' )) {
			if (! file_exists ( get_stylesheet_directory () . '/single-dt_portfolios.php' )) {
				$template = plugin_dir_path ( __FILE__ ) . 'templates/single-dt_portfolios.php';
			}			
		} elseif (is_tax ( 'portfolio_entries' )) {
			if (! file_exists ( get_stylesheet_directory () . '/taxonomy-portfolio_entries.php' )) {
				$template = plugin_dir_path ( __FILE__ ) . 'templates/taxonomy-portfolio_entries.php';
			}
		} elseif (is_tax ( 'portfolio_tags' )) {
			if (! file_exists ( get_stylesheet_directory () . '/taxonomy-portfolio_tags.php' )) {
				$template = plugin_dir_path ( __FILE__ ) . 'templates/taxonomy-portfolio_tags.php';
			}
		} elseif (is_post_type_archive ( 'dt_portfolios' )) {
			if (! file_exists ( get_stylesheet_directory () . '/archive-dt_portfolios.php' )) {
				$template = plugin_dir_path ( __FILE__ ) . 'templates/archive-dt_portfolios.php';
			}					
		}
		return $template;
	}

}

?>