<?php 
get_header(); 

$page_layout = cs_get_option('portfolio-archives-page-layout');
$page_layout  = !empty( $page_layout ) ? $page_layout : "content-full-width";

$show_sidebar = $show_left_sidebar = $show_right_sidebar = false;
$sidebar_class = "";

switch ( $page_layout ) {
  case 'with-left-sidebar':
    $page_layout = "page-with-sidebar with-left-sidebar";
    $show_sidebar = $show_left_sidebar = true;
    $sidebar_class = "secondary-has-left-sidebar";
  break;

  case 'with-right-sidebar':
    $page_layout = "page-with-sidebar with-right-sidebar";
    $show_sidebar = $show_right_sidebar = true;
    $sidebar_class = "secondary-has-right-sidebar";
  break;

  case 'with-both-sidebar':
    $page_layout = "page-with-sidebar with-both-sidebar";
    $show_sidebar = $show_left_sidebar = $show_right_sidebar  = true;
    $sidebar_class = "secondary-has-both-sidebar";
  break;

  case 'content-full-width':
  default:
    $page_layout = "content-full-width";
  break;
}

if ( $show_sidebar ):
  if ( $show_left_sidebar ): 
    ?>
    <section id="secondary-left" class="secondary-sidebar <?php echo esc_attr( $sidebar_class );?>"><?php get_sidebar('left');?></section>
    <?php
  endif;
endif;
?>

<section id="primary" class="<?php echo esc_attr( $page_layout );?>">
  <?php 
  $portfolio_archive_pageid = $post->ID;

  $post_layout = cs_get_option('portfolio-archives-post-layout');
  $post_layout = isset( $post_layout ) ? $post_layout : 'one-fourth-column';

  $hover_style = cs_get_option('portfolio-hover-style');
  $hover_style = isset( $hover_style ) ? $hover_style : '';

  $cursor_hover_style = cs_get_option('portfolio-cursor-hover-style');
  $cursor_hover_style = isset( $cursor_hover_style ) ? $cursor_hover_style : '';

  $allow_space = cs_get_option('portfolio-grid-space');
  $allow_space = ($allow_space == 'true') ? 'with-space' : '';

  $postperpage = cs_get_option('portfolio-archives-postperpage');
  $postperpage = ($postperpage !== '') ? $postperpage : -1;

  $disable_item_options = cs_get_option('portfolio-disable-item-options');
  $disable_item_options = ($disable_item_options == 'true') ? true : false;   

  $tpl_default_settings = array();
  $tpl_default_settings['portfolio-post-layout'] = $post_layout;
  $tpl_default_settings['portfolio-hover-style'] = $hover_style;
  $tpl_default_settings['portfolio-cursor-hover-style'] = $cursor_hover_style;
  if($allow_space != '') {
    $tpl_default_settings['portfolio-grid-space'] = $allow_space;
  }
  $tpl_default_settings['portfolio-post-per-page'] = $postperpage;
  if($disable_item_options) {
    $tpl_default_settings['portfolio-disable-item-options'] = 'true';
  }  
  $tpl_default_settings['portfolio-pagination-type'] = 'numbered-pagination';

  $tpl_default_settings['portfolio-tags'] = get_queried_object_id().',';
  
  echo dtpfaddon_portfolio_lists($portfolio_archive_pageid, $tpl_default_settings, $show_sidebar); 
  ?>
</section>

<?php  
if ( $show_sidebar ):
  if ( $show_right_sidebar ): 
    ?>
    <section id="secondary-right" class="secondary-sidebar <?php echo esc_attr( $sidebar_class );?>"><?php get_sidebar('right');?></section>
    <?php
  endif;
endif;

get_footer();
?>