<?php
/*
 * Plugin Name:	DesignThemes Portfolio Addon 
 * URI: 		http://wedesignthemes.com/plugins/designthemes-portfolio-addon
 * Description: A simple wordpress plugin designed to implements <strong>Portfolio addon features of DesignThemes</strong>
 * Version: 	1.5
 * Author: 		DesignThemes 
 * Text Domain: dtlms
 * Author URI:	http://themeforest.net/user/designthemes
 */

if (! class_exists ( 'DTPortfolioAddon' )) {

	class DTPortfolioAddon {

		function __construct() {
			
			$this->plugin_dir_path = plugin_dir_path ( __FILE__ );

			add_action ( 'init', array ( $this, 'dtPortfolioAddonInit' ) );
			add_action ( 'admin_enqueue_scripts', array ( $this, 'dtPfAddonAdminEnqInit' ) );
			add_action ( 'wp_enqueue_scripts', array ( $this, 'dtPfAddonEnqInit' ), 102 );


			// Portfolio Addon Custom Post Types
			require_once plugin_dir_path ( __FILE__ ) . '/custom-post-types/dt-portfolio-addon-post-type.php';
			if (class_exists ( 'DTPortfolioAddonPostType' )) {
				new DTPortfolioAddonPostType();
			}

			// Register Shortcodes
			require_once plugin_dir_path ( __FILE__ ) . '/shortcodes/shortcodes.php';
			if(class_exists('DTPortfolioShortcodesDefinition')){
				new DTPortfolioShortcodesDefinition();
			}
			
			// Register Visual Composer
			require_once plugin_dir_path ( __FILE__ ) . '/visual-composer/register-vc.php';
			if(class_exists('DTVCPortfolioAddon')){
				new DTVCPortfolioAddon();
			}

			// Functions
			require_once plugin_dir_path ( __FILE__ ) . '/functions-singlepage.php';
			require_once plugin_dir_path ( __FILE__ ) . '/functions-templatepage.php';			
			require_once plugin_dir_path ( __FILE__ ) . '/utils.php';			

		}		

		function dtPortfolioAddonInit() {
			load_plugin_textdomain ( 'dtportfolioaddon', false, dirname ( plugin_basename ( __FILE__ ) ) . '/languages/' );
		}

		function dtPfAddonAdminEnqInit() {
			wp_enqueue_style ( 'dtportfolioaddon-backend', plugin_dir_url ( __FILE__ ) . 'css/backend.css', array (), false, 'all' );

			wp_enqueue_script ( 'dtportfolioaddon-backend', plugin_dir_url ( __FILE__ ) . 'js/backend.js', array (), false, true );
		}

		function dtPfAddonEnqInit() {

			// dequeueing scripts previously enqueued in theme and core files
			wp_dequeue_style( 'fullscreenartists-portfolio' );
			wp_dequeue_script( 'isotope' );

			// enqueueing css files
			wp_enqueue_style ( 'icomoon', plugin_dir_url ( __FILE__ ) . 'css/icomoon.css', array (), false, 'all' );
			wp_enqueue_style ( 'simple-line-icons', plugin_dir_url ( __FILE__ ) . 'css/simple-line-icons.css', array (), false, 'all' );
			wp_enqueue_style ( 'dtportfolioaddon-css-fullpage', plugin_dir_url ( __FILE__ ) . 'css/jquery.fullPage.css', array (), false, 'all' );
			wp_enqueue_style ( 'dtportfolioaddon-css-ilightbox', plugin_dir_url ( __FILE__ ) . 'css/ilightbox.css', array (), false, 'all' );
			wp_enqueue_style ( 'dtportfolioaddon-css-multiscroll', plugin_dir_url ( __FILE__ ) . 'css/jquery.multiscroll.css', array (), false, 'all' );
			wp_enqueue_style ( 'dtportfolioaddon-css-swiper', plugin_dir_url ( __FILE__ ) . 'css/swiper.min.css', array (), false, 'all' );
			wp_enqueue_style ( 'dtportfolioaddon-css-frontend', plugin_dir_url ( __FILE__ ) . 'css/frontend.css', array (), false, 'all' );	
			wp_enqueue_style ( 'dtportfolioaddon-css-responsive',  	plugin_dir_url ( __FILE__ ) . 'css/responsive.css', array (), false, 'all' );


			// enqueueing js files
			wp_enqueue_script ( 'dtportfolioaddon-js-plugins', plugin_dir_url ( __FILE__ ) . 'js/jquery.plugins.js', array ('jquery'), false, true );

			if(class_exists('Tribe__Events__Pro__Main')) {
				if( function_exists( 'tribe_is_photo') && !tribe_is_photo()) {
					wp_enqueue_script('dtportfolioaddon-js-isotope', plugin_dir_url ( __FILE__ ) . 'js/isotope.pkgd.min.js', array(), false, true);
				}
			} else {
				wp_enqueue_script('dtportfolioaddon-js-isotope', plugin_dir_url ( __FILE__ ) . 'js/isotope.pkgd.min.js', array(), false, true);
			}

			wp_enqueue_script ( 'dtportfolioaddon-js-fullpage', plugin_dir_url ( __FILE__ ) . 'js/jquery.fullPage.min.js', array ('jquery'), false, true );
			wp_enqueue_script ( 'dtportfolioaddon-js-ilightbox', plugin_dir_url ( __FILE__ ) . 'js/ilightbox.min.js', array ('jquery'), false, true );
			wp_enqueue_script ( 'dtportfolioaddon-js-jarallax', plugin_dir_url ( __FILE__ ) . 'js/jarallax.js', array ('jquery'), false, true );
			wp_enqueue_script ( 'dtportfolioaddon-js-multiscroll', plugin_dir_url ( __FILE__ ) . 'js/jquery.multiscroll.min.js', array ('jquery'), false, true );

			wp_enqueue_script ( 'dtportfolioaddon-js-inview', plugin_dir_url ( __FILE__ ) . 'js/jquery.inview.js', array ('jquery'), false, true );
			wp_enqueue_script ( 'dtportfolioaddon-js-swiper', plugin_dir_url ( __FILE__ ) . 'js/swiper.min.js', array ('jquery'), false, true );
			wp_enqueue_script ( 'dtportfolioaddon-js-frontend', plugin_dir_url ( __FILE__ ) . 'js/frontend.js', array ('jquery'), false, true );

		}		

		public static function DTPortfolioAddonActivate() {
		}

		public static function DTPortfolioAddonDectivate() {
		}	

	}
}

if (class_exists ( 'DTPortfolioAddon' )) {

	register_activation_hook ( __FILE__, array (
			'DTPortfolioAddon',
			'DTPortfolioAddonActivate' 
	) );
	register_deactivation_hook ( __FILE__, array (
			'DTPortfolioAddon',
			'DTPortfolioAddonDectivate' 
	) );

	global $dtpfaddon_animationtypes;
	$dtpfaddon_animationtypes = array("" => "none", "flash" => "flash", "shake" => "shake", "bounce" => "bounce", "tada" => "tada", "swing" => "swing", "wobble" => "wobble", "pulse" => "pulse", "flip" => "flip", "flipInX" => "flipInX", "flipOutX" => "flipOutX", "flipInY" => "flipInY", "flipOutY" => "flipOutY", "fadeIn" => "fadeIn", "fadeInUp" => "fadeInUp", "fadeInDown" => "fadeInDown", "fadeInLeft" => "fadeInLeft", "fadeInRight" => "fadeInRight", "fadeInUpBig" => "fadeInUpBig", "fadeInDownBig" => "fadeInDownBig", "fadeInLeftBig" => "fadeInLeftBig", "fadeInRightBig" => "fadeInRightBig", "fadeOut" => "fadeOut", "fadeOutUp" => "fadeOutUp","fadeOutDown" => "fadeOutDown", "fadeOutLeft" => "fadeOutLeft", "fadeOutRight" => "fadeOutRight", "fadeOutUpBig" => "fadeOutUpBig", "fadeOutDownBig" => "fadeOutDownBig", "fadeOutLeftBig" => "fadeOutLeftBig","fadeOutRightBig" => "fadeOutRightBig", "bounceIn" => "bounceIn", "bounceInUp" => "bounceInUp", "bounceInDown" => "bounceInDown", "bounceInLeft" => "bounceInLeft", "bounceInRight" => "bounceInRight", "bounceOut" => "bounceOut", "bounceOutUp" => "bounceOutUp", "bounceOutDown" => "bounceOutDown", "bounceOutLeft" => "bounceOutLeft", "bounceOutRight" => "bounceOutRight", "rotateIn" => "rotateIn", "rotateInUpLeft" => "rotateInUpLeft", "rotateInDownLeft" => "rotateInDownLeft", "rotateInUpRight" => "rotateInUpRight", "rotateInDownRight" => "rotateInDownRight", "rotateOut" => "rotateOut", "rotateOutUpLeft" => "rotateOutUpLeft","rotateOutDownLeft" => "rotateOutDownLeft", "rotateOutUpRight" => "rotateOutUpRight", "rotateOutDownRight" => "rotateOutDownRight", "hinge" => "hinge", "rollIn" => "rollIn", "rollOut" => "rollOut", "lightSpeedIn" => "lightSpeedIn", "lightSpeedOut" => "lightSpeedOut", "slideDown" => "slideDown", "slideUp" => "slideUp", "slideLeft" => "slideLeft", "slideRight" => "slideRight", "slideExpandUp" => "slideExpandUp", "expandUp" => "expandUp", "expandOpen" => "expandOpen", "bigEntrance" => "bigEntrance", "hatch" => "hatch", "floating" => "floating", "tossing" => "tossing", "pullUp" => "pullUp", "pullDown" => "pullDown", "stretchLeft" => "stretchLeft", "stretchRight" => "stretchRight", "zoomIn" => "zoomIn");	
	
	$dt_portfolio_addon = new DTPortfolioAddon ();
}
?>