<?php

// Portfolio comments
function dtpfaddon_get_portfolio_comments() {

	$output = '';

	$post_comment = cs_get_option('single-portfolio-comments');
	if( isset($post_comment) ):

    	$output .= '<div class="dt-sc-hr"></div>
        	<div class="dt-sc-clear"></div>';
        
        $output .= '<section class="commententries">'.comments_template('', true).'</section>';

	endif;

	return $output;

}

// Portfolio custom fields
function dtpfaddon_get_portfolio_custom_details($portfolio_id, $type, $class) {

	$output = '';

	if($portfolio_id != '' && $portfolio_id > 0) {

	} else {
		global $post;
		$portfolio_id = $post->ID;		
	}

	$portfolio_settings = get_post_meta ( $portfolio_id, '_portfolio_settings', TRUE );
	$portfolio_settings = is_array ( $portfolio_settings ) ? $portfolio_settings : array ();	

    if( array_key_exists('portfolio_opt_flds', $portfolio_settings) ):
		$output .= '<ul class="project-details '.$type.' '.$class.'">';

						for( $i = 1; $i <= sizeof($portfolio_settings['portfolio_opt_flds']) / 2; $i++ ):

							$label = $portfolio_settings['portfolio_opt_flds']["portfolio_opt_flds_title_{$i}"];
	        				$value = $portfolio_settings['portfolio_opt_flds']["portfolio_opt_flds_value_{$i}"];

	        				if( filter_var($value ,FILTER_VALIDATE_URL) ){
	        					$value = '<a href="'.esc_url($value).'">'.esc_html($value).'</a>';
	        				} elseif( is_email($value) ){
	        						$email = sanitize_email($value);
	        					$value = '<a href="mailto:'.antispambot($email,1).'">'.antispambot($value).'</a>';
	        				}

		    				if($value != '') {
		            			$output .= '<li><span>'.esc_html($label).' : </span> '.$value.' </li>';
		            		}

	        			endfor;

        $output .= '</ul>';
    endif; 

	return $output;

}

// Portfolio feature image
function dtpfaddon_get_portfolio_feature_image($portfolio_id) {

	$output = '';

	if($portfolio_id != '' && $portfolio_id > 0) {

	} else {
		global $post;
		$portfolio_id = $post->ID;		
	}

	if( get_post_thumbnail_id($portfolio_id) ) {
		$output .= get_the_post_thumbnail( $portfolio_id, 'full' );
	}

	return $output;

}

// Portfolio featured video
function dtpfaddon_get_portfolio_feature_video($portfolio_id) {

	$output = '';

	if($portfolio_id != '' && $portfolio_id > 0) {

	} else {
		global $post;
		$portfolio_id = $post->ID;		
	}

	$portfolio_featured_video = get_post_meta($portfolio_id, '_portfolio_featured_video', TRUE);
	$portfolio_featured_video = is_array($portfolio_featured_video) ? $portfolio_featured_video  : array();

	$featured_video =  isset($portfolio_featured_video['featured_video']) ? $portfolio_featured_video['featured_video'] : '';

	if($featured_video != '') {
		$output .= '<video id="portfolio-featured-video" poster="'.plugins_url('designthemes-portfolio-addon').'/images/video-image.png" class="play">
						<source src="'.$featured_video.'" type="video/mp4">
						<source src="'.$featured_video.'" type="video/webm">
						<source src="'.$featured_video.'" type="video/ogg">
					</video>';		
	}

	return $output;

}

// Portfolio gallery listing
function dtpfaddon_get_portfolio_gallery_listing($gallery_settings) {

	$output = '';

	if(!is_array($gallery_settings) && empty($gallery_settings)) {
		$gallery_settings = array();
	}

	$portfolio_id = isset( $gallery_settings['portfolio_id'] ) ? $gallery_settings['portfolio_id'] : '';

	if($portfolio_id != '' && $portfolio_id > 0) {

	} else {
		global $post;
		$portfolio_id = $post->ID;		
	}

	if(isset($gallery_settings['gallery_ids']) && $gallery_settings['gallery_ids'] != '') {
		$filter_gallery = true;
		$gallery_ids = explode(',', $gallery_settings['gallery_ids']);
	} else {
		$filter_gallery = false;
	}

	$portfolio_settings = get_post_meta ( $portfolio_id, '_portfolio_settings', TRUE );
	$portfolio_settings = is_array ( $portfolio_settings ) ? $portfolio_settings : array ();

	$hover_class = (isset($gallery_settings['portfolio-hover-design']) && $gallery_settings['portfolio-hover-design'] == 'true') ? 'hover-overlay' : 'hover-none';

	$column_layout = isset( $gallery_settings['portfolio-post-layout'] ) ? $gallery_settings['portfolio-post-layout'] : 'one-half-column';
	if($column_layout == 'one-column') {
		$column_class = 'column dt-sc-one-column';
		$column = 1;	
	} else if($column_layout == 'one-half-column') {
		$column_class = 'column dt-sc-one-half';
		$column = 2;
	} else if($column_layout == 'one-third-column') {
		$column_class = 'column dt-sc-one-third';
		$column = 3;
	} else if($column_layout == 'one-fourth-column') {
		$column_class = 'column dt-sc-one-fourth';
		$column = 4;
	} else if($column_layout == 'one-fifth-column') {
		$column_class = 'column dt-sc-one-fifth';
		$column = 5;
	} else if($column_layout == 'one-sixth-column') {
		$column_class = 'column dt-sc-one-sixth';
		$column = 6;
	} else if($column_layout == 'one-seventh-column') {
		$column_class = 'column dt-sc-one-seventh';
		$column = 7;
	} else if($column_layout == 'one-eight-column') {
		$column_class = 'column dt-sc-one-eight';
		$column = 8;
	} else if($column_layout == 'one-nineth-column') {
		$column_class = 'column dt-sc-one-nineth';
		$column = 9;
	} else if($column_layout == 'one-tenth-column') {
		$column_class = 'column dt-sc-one-tenth';
		$column = 10;			
	}

	if(isset($gallery_settings['gallerytype']) && $gallery_settings['gallerytype'] == 'gallery-list') {
		$image_size = 'dtpfaddon-941x724';
	} else if($column > 6) {
		$image_size = 'dtpfaddon-420x420';
	} else {
		$image_size = 'full';
	}

	$space_class = (isset($gallery_settings['portfolio-grid-space']) && $gallery_settings['portfolio-grid-space'] == 'true') ? 'with-space' : 'no-space';

	$animation_class = $animation_effect = $animation_delay = '';
	$animationeffect = isset( $gallery_settings['animationeffect'] ) ? $gallery_settings['animationeffect'] : '';
	$animationdelay = isset( $gallery_settings['animationdelay'] ) ? $gallery_settings['animationdelay'] : '';
	if($animationeffect != '') {
		$animation_class = 'animate';
		$animation_effect = 'data-animationeffect="'.$animationeffect.'"';
		$animation_delay = 'data-animationdelay="'.$animationdelay.'"';
	}

	$repeat_animation_class = (isset($gallery_settings['repeat-animation']) && $gallery_settings['repeat-animation'] == 'true' ) ? 'repeat-animation' : '';

	$output .= '<div class="dt-sc-portfolio-container-wrapper">';

		$output .= '<div class="dt-sc-portfolio-container dt-sc-portfolio-single-container '.$space_class.' '.$repeat_animation_class.'">';

			$grid_sizer_class = str_replace('column ', '', $column_class);
			$output .= '<div class="grid-sizer '.$grid_sizer_class.'"></div>';

			if( array_key_exists('portfolio-gallery', $portfolio_settings) ) {

				$i = 1;
				
				$items = explode(',', $portfolio_settings['portfolio-gallery']);
				foreach( $items as $item ){

					if($filter_gallery) {

						if(in_array($item, $gallery_ids)) {

	    					$image_src = wp_get_attachment_image_src($item, $image_size, false);
							$image_src = $image_src[0];

							if($image_src != '') {

								if($i == 1) $first_class = 'first'; else $first_class = '';
								if($i == $column) $i = 1; else $i = $i + 1;

								$output .= '<div class="portfolio '.esc_attr($column_class).' '.esc_attr($hover_class).' '.esc_attr($space_class).' '.esc_attr($first_class).' '.esc_attr($animation_class).'" '.$animation_effect.' '.$animation_delay.'> 
										<figure>
											<img src="'.esc_url($image_src).'" alt="portfolio-image" title="portfolio-image" />
											<div class="image-overlay">
												<div class="links">
			                                		<a title="'.get_the_title($portfolio_id).'" data-gal="prettyPhoto[gallery-listing]" href="'.esc_url($image_src).'"><span class="icon icon-search"> </span></a>
		                                		</div>
		                                    </div>
	                                    </figure>
									</div>';

							}

						}

					} else {

						$image_src = wp_get_attachment_image_src($item, $image_size, false);
						$image_src = $image_src[0];

						if($image_src != '') {

							if($i == 1) $first_class = 'first'; else $first_class = '';
							if($i == $column) $i = 1; else $i = $i + 1;

							$output .= '<div class="portfolio '.esc_attr($column_class).' '.esc_attr($hover_class).' '.esc_attr($space_class).' '.esc_attr($first_class).' '.esc_attr($animation_class).'" '.$animation_effect.' '.$animation_delay.'> 
									<figure>
										<img src="'.esc_url($image_src).'" alt="portfolio-image" title="portfolio-image" />
										<div class="image-overlay">
											<div class="links">
		                                		<a title="'.get_the_title($portfolio_id).'" data-gal="prettyPhoto[gallery-listing]" href="'.esc_url($image_src).'"><span class="icon icon-search"> </span></a>
	                                		</div>
	                                    </div>
	                                </figure>
								</div>';

						}

	    			}

				}

	    	}

		$output .= '</div>';

	$output .= '</div>';

	return $output;

}

// Portfolio navigation links
function dtpfaddon_get_portfolio_navigation_links($type) {

	$output = '';

	if($type == 'type4') {

		$output .= '<div class="post-nav-container '.$type.'">';
			$output .= '<div class="post-prev-link">';
					$output .= get_previous_post_link('%link', '<i class="icomoon icon-Arrow-OutLeft"> </i>'.esc_html__('Prev Entry','dtportfolioaddon') );
			$output .= '</div>';		
			$output .= '<div class="post-next-link">';
					$output .= get_next_post_link('%link', esc_html__('Next Entry','dtportfolioaddon').'<i class="icomoon icon-Arrow-OutRight"> </i>');
			$output .= '</div>';
		$output .= '</div>';

	} else if($type == 'type3') {

		$prev_post = get_previous_post();
		$next_post = get_next_post();

		$output .= '<div class="post-nav-container '.$type.'">';
			$output .= '<div class="post-prev-link">';
				if(isset($prev_post) && !empty($prev_post)) {
					$output .= '<i class="icomoon icon-Arrow-OutLeft"> </i>';
					$output .= get_previous_post_link('%link', esc_html__('Prev Entry','dtportfolioaddon') );
					$output .= '<a href="'.get_permalink($prev_post->ID).'">'.$prev_post->post_title.'</a>';
				}
			$output .= '</div>';
			$output .= '<div class="post-archive-link-wrapper">';
					$output .= '<a class="post-archive-link" href="'.get_post_type_archive_link('dt_portfolios').'"></a>';
			$output .= '</div>';	
			$output .= '<div class="post-next-link">';
				if(isset($next_post) && !empty($next_post)) {
					$output .= '<i class="icomoon icon-Arrow-OutRight"> </i>';
					$output .= get_next_post_link('%link', esc_html__('Next Entry','dtportfolioaddon'));
					$output .= '<a href="'.get_permalink($next_post->ID).'">'.$next_post->post_title.'</a>';
				}
			$output .= '</div>';
		$output .= '</div>';

	} else if($type == 'type2') {

		$output .= '<div class="post-nav-container '.$type.'">';
			$output .= '<div class="post-prev-link">';
					$output .= get_previous_post_link('%link', '<i class="icomoon icon-Arrow-OutLeft"> </i>' );
			$output .= '</div>';
			$output .= '<div class="post-archive-link-wrapper">';
					$output .= '<a class="post-archive-link" href="'.get_post_type_archive_link('dt_portfolios').'"></a>';
			$output .= '</div>';
			$output .= '<div class="post-next-link">';
					$output .= get_next_post_link('%link', '<i class="icomoon icon-Arrow-OutRight"> </i>');
			$output .= '</div>';
		$output .= '</div>';

	} else {

		$output .= '<div class="post-nav-container type1">';
			$output .= '<div class="post-prev-link">';
					$output .= get_previous_post_link('%link', '<i class="icomoon icon-Arrow-OutLeft"> </i>'.esc_html__('Prev Entry','dtportfolioaddon') );
			$output .= '</div>';
			$output .= '<div class="post-archive-link-wrapper">';
					$output .= '<a class="post-archive-link" href="'.get_post_type_archive_link('dt_portfolios').'"></a>';
			$output .= '</div>';			
			$output .= '<div class="post-next-link">';
					$output .= get_next_post_link('%link', esc_html__('Next Entry','dtportfolioaddon').'<i class="icomoon icon-Arrow-OutRight"> </i>');
			$output .= '</div>';
		$output .= '</div>';

	}

	return $output;

}

// Portfolio slider
function dtpfaddon_get_portfolio_slider($slider_settings) {

	$output = '';

	if(!is_array($slider_settings) && empty($slider_settings)) {
		$slider_settings = array();
	}

	$portfolio_id = isset( $slider_settings['portfolio_id'] ) ? $slider_settings['portfolio_id'] : '';

	if($portfolio_id != '' && $portfolio_id > 0) {

	} else {
		global $post;
		$portfolio_id = $post->ID;		
	}

	if(isset($slider_settings['gallery_ids']) && $slider_settings['gallery_ids'] != '') {
		$filter_gallery = true;
		$gallery_ids = explode(',', $slider_settings['gallery_ids']);
	} else {
		$filter_gallery = false;
	}

	$portfolio_featured_video = get_post_meta($portfolio_id, '_portfolio_featured_video', TRUE);
	$portfolio_featured_video = is_array($portfolio_featured_video) ? $portfolio_featured_video  : array();
	$featured_video =  isset($portfolio_featured_video['featured_video']) ? $portfolio_featured_video['featured_video'] : '';


	$show_feature_image = isset( $slider_settings['show_feature_image'] ) ? true : false;
	$show_feature_video = isset( $slider_settings['show_feature_video'] ) ? true : false;

	// slider options
	$portfolio_carousel_effect  = array_key_exists( 'portfolio-carousel-effect', $slider_settings ) ? $slider_settings['portfolio-carousel-effect'] : '';
	$portfolio_carousel_numberofrows  = array_key_exists( 'portfolio-carousel-numberofrows', $slider_settings ) ? $slider_settings['portfolio-carousel-numberofrows'] : 1;		
	$portfolio_carousel_autoplay  = array_key_exists( 'portfolio-carousel-autoplay', $slider_settings ) ? $slider_settings['portfolio-carousel-autoplay'] : '';
	$portfolio_carousel_slidesperview  = array_key_exists( 'portfolio-carousel-slidesperview', $slider_settings ) ? $slider_settings['portfolio-carousel-slidesperview'] : '';
	$portfolio_carousel_loopmode  = array_key_exists( 'portfolio-carousel-loopmode', $slider_settings ) ? $slider_settings['portfolio-carousel-loopmode'] : '';
	$portfolio_carousel_mousewheelcontrol  = array_key_exists( 'portfolio-carousel-mousewheelcontrol', $slider_settings ) ? $slider_settings['portfolio-carousel-mousewheelcontrol'] : '';
	$portfolio_carousel_centermode  = array_key_exists( 'portfolio-carousel-centermode', $slider_settings ) ? $slider_settings['portfolio-carousel-centermode'] : '';
	$portfolio_carousel_verticaldirection  = array_key_exists( 'portfolio-carousel-verticaldirection', $slider_settings ) ? $slider_settings['portfolio-carousel-verticaldirection'] : '';
	$portfolio_carousel_bulletpagination  = array_key_exists( 'portfolio-carousel-bulletpagination', $slider_settings ) ? $slider_settings['portfolio-carousel-bulletpagination'] : '';
	$portfolio_carousel_fractionpagination  = array_key_exists( 'portfolio-carousel-fractionpagination', $slider_settings ) ? $slider_settings['portfolio-carousel-fractionpagination'] : '';
	$portfolio_carousel_progresspagination  = array_key_exists( 'portfolio-carousel-progresspagination', $slider_settings ) ? $slider_settings['portfolio-carousel-progresspagination'] : '';
	$portfolio_carousel_arrowpagination  = array_key_exists( 'portfolio-carousel-arrowpagination', $slider_settings ) ? $slider_settings['portfolio-carousel-arrowpagination'] : '';
	$portfolio_carousel_thumbnailpagination  = array_key_exists( 'portfolio-carousel-thumbnailpagination', $slider_settings ) ? $slider_settings['portfolio-carousel-thumbnailpagination'] : '';
	$portfolio_carousel_scrollbar  = array_key_exists( 'portfolio-carousel-scrollbar', $slider_settings ) ? $slider_settings['portfolio-carousel-scrollbar'] : '';
	$portfolio_carousel_arrowpagination_type  = array_key_exists( 'portfolio-carousel-arrowpagination-type', $slider_settings ) ? $slider_settings['portfolio-carousel-arrowpagination-type'] : '';
	$portfolio_carousel_playpausebutton  = array_key_exists( 'portfolio-carousel-playpausebutton', $slider_settings ) ? $slider_settings['portfolio-carousel-playpausebutton'] : '';
	$portfolio_carousel_hoverarrows  = array_key_exists( 'portfolio-carousel-hoverarrows', $slider_settings ) ? $slider_settings['portfolio-carousel-hoverarrows'] : 'grabcursor-mousepointer';
	$portfolio_carousel_spacebetween  = array_key_exists( 'portfolio-carousel-spacebetween', $slider_settings ) ? $slider_settings['portfolio-carousel-spacebetween'] : 0;
	$portfolio_carousel_detailednav_click  = array_key_exists( 'portfolio-carousel-detailednav-click', $slider_settings ) ? $slider_settings['portfolio-carousel-detailednav-click'] : '';

	$portfolio_carousel_paginationcolorscheme  = array_key_exists( 'portfolio-carousel-paginationcolorscheme', $slider_settings ) ? $slider_settings['portfolio-carousel-paginationcolorscheme'] : '';
	$portfolio_carousel_pagination_designtype  = array_key_exists( 'portfolio-carousel-pagination-designtype', $slider_settings ) ? $slider_settings['portfolio-carousel-pagination-designtype'] : '';

	$portfolio_carousel_detailednav_click_class = '';
	if($portfolio_carousel_detailednav_click != '' && $portfolio_carousel_detailednav_click != 'false') {
		$portfolio_carousel_detailednav_click_class = 'enable-click';
	}

	$portfolio_carousel_slider_position  = array_key_exists( 'portfolio-carousel-slider-position', $slider_settings ) ? $slider_settings['portfolio-carousel-slider-position'] : '';
	$portfolio_carousel_slider_height  = array_key_exists( 'portfolio-carousel-slider-height', $slider_settings ) ? $slider_settings['portfolio-carousel-slider-height'] : '';


	$show_details_over_content  = array_key_exists( 'show-details-over-content', $slider_settings ) ? true : false;
	$show_title  = array_key_exists( 'show-title', $slider_settings ) ? true : false;
	$show_categories  = array_key_exists( 'show-categories', $slider_settings ) ? true : false;
	$content_to_show  = array_key_exists( 'content-to-show', $slider_settings ) ? $slider_settings['content-to-show'] : '';
	$show_navigation_links  = array_key_exists( 'show-navigation-links', $slider_settings ) ? true : false;



	// Attributes
	$portfolio_swiper_attributes = array();
	array_push($portfolio_swiper_attributes, 'data-carouseleffect="'.$portfolio_carousel_effect.'"');
	array_push($portfolio_swiper_attributes, 'data-carouselnumberofrows="'.$portfolio_carousel_numberofrows.'"');
	array_push($portfolio_swiper_attributes, 'data-carouselautoplay="'.$portfolio_carousel_autoplay.'"');
	array_push($portfolio_swiper_attributes, 'data-carouselslidesperview="'.$portfolio_carousel_slidesperview.'"');
	array_push($portfolio_swiper_attributes, 'data-carouselloopmode="'.$portfolio_carousel_loopmode.'"');
	array_push($portfolio_swiper_attributes, 'data-carouselmousewheelcontrol="'.$portfolio_carousel_mousewheelcontrol.'"');
	array_push($portfolio_swiper_attributes, 'data-carouselcentermode="'.$portfolio_carousel_centermode.'"');
	array_push($portfolio_swiper_attributes, 'data-carouselverticaldirection="'.$portfolio_carousel_verticaldirection.'"');
	array_push($portfolio_swiper_attributes, 'data-carouselbulletpagination="'.$portfolio_carousel_bulletpagination.'"');
	array_push($portfolio_swiper_attributes, 'data-carouselfractionpagination="'.$portfolio_carousel_fractionpagination.'"');
	array_push($portfolio_swiper_attributes, 'data-carouselprogresspagination="'.$portfolio_carousel_progresspagination.'"');
	array_push($portfolio_swiper_attributes, 'data-carouselarrowpagination="'.$portfolio_carousel_arrowpagination.'"');
	array_push($portfolio_swiper_attributes, 'data-carouselthumbnailpagination="'.$portfolio_carousel_thumbnailpagination.'"');
	array_push($portfolio_swiper_attributes, 'data-carouselscrollbar="'.$portfolio_carousel_scrollbar.'"');
	array_push($portfolio_swiper_attributes, 'data-carouselplaypausebutton="'.$portfolio_carousel_playpausebutton.'"');
	array_push($portfolio_swiper_attributes, 'data-carouselhoverarrows="'.$portfolio_carousel_hoverarrows.'"');
	array_push($portfolio_swiper_attributes, 'data-carouselspacebetween="'.$portfolio_carousel_spacebetween.'"');
	array_push($portfolio_swiper_attributes, 'data-carouseldetailednavclick="'.$portfolio_carousel_detailednav_click.'"');
	array_push($portfolio_swiper_attributes, 'data-carouselsliderposition="'.$portfolio_carousel_slider_position.'"');
	array_push($portfolio_swiper_attributes, 'data-carouselsliderheight="'.$portfolio_carousel_slider_height.'"');	

	$portfolio_settings = get_post_meta ( $portfolio_id, '_portfolio_settings', true );
	$portfolio_settings = is_array ( $portfolio_settings ) ? $portfolio_settings : array ();
	

	$output .= '<div class="dt-sc-portfolio-single-slider-wrapper">';

		$output .= '<div class="dt-sc-portfolio-single-slider-container">';

			$output .= '<div class="dt-sc-portfolio-single-swiper-holder swiper-wrapper '.$portfolio_carousel_hoverarrows.'" '.implode(' ', $portfolio_swiper_attributes).'>';

				$gallery_thumb = array();

    			if($show_feature_image) {

	    			$output .= '<div class="swiper-slide">';
    					$image_src = wp_get_attachment_image_src(get_post_thumbnail_id( $portfolio_id ), 'full', false);
						$image_src = $image_src[0];
	    				$output .= '<div class="portfolio-single-image-holder" style="background-image:url('.$image_src.');"></div>';
	    			$output .= '</div>';

	    			array_push($gallery_thumb, '<div class="swiper-slide" style="background-image:url('.$image_src.')"></div>');

	    		}

	    		if($show_feature_video) {

					$output .= '<div class="swiper-slide">
									<video id="portfolio-featured-video" poster="'.plugins_url('designthemes-portfolio-addon').'/images/video-image.png" class="play">
										<source src="'.$featured_video.'" type="video/mp4">
										<source src="'.$featured_video.'" type="video/webm">
										<source src="'.$featured_video.'" type="video/ogg">
									</video>
								</div>';

				}

				if( array_key_exists('portfolio-gallery', $portfolio_settings) ) {	

					$items = explode(',', $portfolio_settings['portfolio-gallery']);
					foreach( $items as $item ){

						if($filter_gallery) {

							if(in_array($item, $gallery_ids)) {

			    				$output .= '<div class="swiper-slide">';
			    					$image_src = wp_get_attachment_image_src($item, 'full', false);
									$image_src = $image_src[0];
				    				$output .= '<div class="portfolio-single-image-holder" style="background-image:url('.$image_src.');"></div>';
				    			$output .= '</div>';

				    			array_push($gallery_thumb, '<div class="swiper-slide" style="background-image:url('.$image_src.')"></div>');

							}

						} else {

			    			$output .= '<div class="swiper-slide">';
		    					$image_src = wp_get_attachment_image_src($item, 'full', false);
								$image_src = $image_src[0];
			    				$output .= '<div class="portfolio-single-image-holder" style="background-image:url('.$image_src.');"></div>';
			    			$output .= '</div>';

			    			array_push($gallery_thumb, '<div class="swiper-slide" style="background-image:url('.$image_src.')"></div>');

		    			}

					}

            	}			    		

			$output .= '</div>';

			
			$output .= '<div class="swiper-pagination-holder '.$portfolio_carousel_paginationcolorscheme.' '.$portfolio_carousel_detailednav_click_class.' '.$portfolio_carousel_pagination_designtype.'">';

				if($portfolio_carousel_bulletpagination != '' && $portfolio_carousel_bulletpagination != 'false') {
					$output .= '<div class="swiper-pagination"></div>';	
				}

				if($portfolio_carousel_progresspagination != '' && $portfolio_carousel_progresspagination != 'false') {
					$output .= '<div class="swiper-progress-pagination"></div>';	
				}	

				if($portfolio_carousel_scrollbar != '' && $portfolio_carousel_scrollbar != 'false') {
					$output .= '<div class="swiper-scrollbar"></div>';	
				}

				if(in_array($portfolio_carousel_pagination_designtype, array('type2', 'type3'))) {
					$output .= '<div class="swiper-pagination-wrapper">';
				}

				if($portfolio_carousel_fractionpagination != '' && $portfolio_carousel_fractionpagination != 'false') {
					$output .= '<div class="swiper-fraction-pagination">
									<div class="current"></div>
									<div class="separator"></div>
									<div class="total"></div>
								</div>';
				}							

				if($portfolio_carousel_arrowpagination != '' && $portfolio_carousel_arrowpagination != 'false') {		
					$output .= '<div class="swiper-simple-arrows '.$portfolio_carousel_arrowpagination_type.'">';
						$output .= '<a href="#" class="swiper-simple-arrow-prev"></a>';
						$output .= '<a href="#" class="swiper-simple-arrow-next"></a>';
					$output .= '</div>';
				}

				if($portfolio_carousel_playpausebutton != '' && $portfolio_carousel_playpausebutton != 'false') {	
					if($portfolio_carousel_autoplay != '' && $portfolio_carousel_autoplay > 0)		 {
						$output .= '<a href="#" class="swiper-playpause pause"><span class="fa fa-pause"></span></a>';
					} else {
						$output .= '<a href="#" class="swiper-playpause play"><span class="fa fa-play"></span></a>';
					}
				}

				if(in_array($portfolio_carousel_pagination_designtype, array('type2', 'type3'))) {
					$output .= '</div>';
				}

				if($portfolio_carousel_hoverarrows == 'detailed-mousepointer') {	
					$output .= '<div class="swiper-arrow-left">
									<div class="swiper-arrow-click left">
										<div class="arrow"></div>
									</div>
								</div>
								<div class="swiper-arrow-middle">
									<div class="swiper-arrow-click middle">
										<div class="arrow"></div>
									</div>
								</div>
								<div class="swiper-arrow-right">
									<div class="swiper-arrow-click right">
										<div class="arrow"></div>
									</div>
								</div>';
				}

			$output .= '</div>';

		$output .= '</div>';

		if(array_key_exists( 'portfolio-carousel-thumbnailpagination', $slider_settings ) && $slider_settings['portfolio-carousel-thumbnailpagination'] == 'true') {
			$output .= '<div class="dt-sc-portfolio-swiper-thumbnail-container">';
				$output .= '<div class="swiper-wrapper">';
					$output .= implode('', $gallery_thumb);
				$output .= '</div>';
			$output .= '</div>';	
		}		

		if($show_details_over_content) {
			if($show_title || $show_categories || $content_to_show!= '') {
				$output .= '<div class="dt-portfolio-single-details">';
						if($show_title) {
							$output .= dtpfaddon_get_portfolio_lists($portfolio_id);
						}
						if($show_categories) {
							$output .= dtpfaddon_get_portfolio_terms($portfolio_id, true, '');
						}
						if($content_to_show != '') {
			        		$output .= do_shortcode($content_to_show);
			        	}
				$output .= '</div>';
			}
			if($show_navigation_links) {
				$output .= dtpfaddon_get_portfolio_navigation_links('type2');
			}
		}

	$output .= '</div>';

	return $output;

}

// Porfolio terms
function dtpfaddon_get_portfolio_terms($portfolio_id, $with_icon, $term) {

	if($portfolio_id != '' && $portfolio_id > 0) {

	} else {
		global $post;
		$portfolio_id = $post->ID;		
	}

	if($term == 'tag') {

		if($with_icon) {
			$output = get_the_term_list($portfolio_id, 'portfolio_tags', '<p class="portfolio-tags"> <i class="icomoon icon-File-Block"> </i> ', ', ', '</p> ');
		} else {
			$output = get_the_term_list($portfolio_id, 'portfolio_tags', '<p class="portfolio-tags"> ', ', ', '</p> ');
		}

	} else {

		if($with_icon) {
			$output = get_the_term_list($portfolio_id, 'portfolio_entries', '<p class="portfolio-categories"> <i class="icomoon icon-Tag-3"> </i> ', ', ', '</p> ');
		} else {
			$output = get_the_term_list($portfolio_id, 'portfolio_entries', '<p class="portfolio-categories"> ', ', ', '</p> ');
		}

	}

	return $output;

}

// Portfolio title
function dtpfaddon_get_portfolio_lists($portfolio_id) {

	if($portfolio_id != '' && $portfolio_id > 0) {

	} else {
		global $post;
		$portfolio_id = $post->ID;		
	}

	$output = '<h2>'.get_the_title($portfolio_id).'</h2>';

	return $output;

}

// Alter password protected post form
function dtpfaddon_portfolio_password_form() {

	if(is_singular('dt_portfolios')) {

		global $post;

		$label = 'pwbox-' . ( empty($post->ID) ? rand() : $post->ID );
		$output = '<form action="' . esc_url( site_url( 'wp-login.php?action=postpass', 'login_post' ) ) . '" class="post-password-form" method="post">
		<p>' . esc_html__( 'Enter your password below:', 'dtportfolioaddon' ) . '</p>
		<p><label for="' . $label . '">' . ' <input name="post_password" placeholder="'.esc_html__( 'Password:', 'dtportfolioaddon' ) .'" id="' . $label . '" type="password" size="20" /></label> <input type="submit" name="Submit" value="' . esc_attr_x( 'Enter', 'dtportfolioaddon' ) . '" /></p></form>';
	    		
	} else {

		global $post;

		$label = 'pwbox-' . ( empty($post->ID) ? rand() : $post->ID );
		$output = '<form action="' . esc_url( site_url( 'wp-login.php?action=postpass', 'login_post' ) ) . '" class="post-password-form" method="post">
		<p>' . __( 'This content is password protected. To view it please enter your password below:' ) . '</p>
		<p><label for="' . $label . '">' . __( 'Password:' ) . ' <input name="post_password" id="' . $label . '" type="password" size="20" /></label> <input type="submit" name="Submit" value="' . esc_attr_x( 'Enter', 'post password form' ) . '" /></p></form>';

	}

	return $output;

}
add_filter( 'the_password_form', 'dtpfaddon_portfolio_password_form' );


function dtpfaddon_mediaontop_hook($portfolio_id) {

	if($portfolio_id != '' && $portfolio_id > 0) {

	} else {
		global $post;
		$portfolio_id = $post->ID;		
	}

	$output = '';

	$portfolio_settings = get_post_meta ( $portfolio_id, '_portfolio_settings', TRUE );
	$portfolio_settings = is_array ( $portfolio_settings ) ? $portfolio_settings : array ();

	$portfolio_layout = array_key_exists("portfolio-layout",$portfolio_settings) ? $portfolio_settings['portfolio-layout'] : ''; 

	if($portfolio_layout == 'media-on-top') {

		$output .= '<section class="single-portfolio-mediaontop-section-holder">';

			$portfolio_featured_video = get_post_meta($portfolio_id, '_portfolio_featured_video', TRUE);
			$portfolio_featured_video = is_array($portfolio_featured_video) ? $portfolio_featured_video  : array();

			$featured_video =  isset($portfolio_featured_video['featured_video']) ? $portfolio_featured_video['featured_video'] : '';

			if($featured_video != '') {

				$output .= '<div class="single-portfolio-mediaontop-section">
								<video poster="'.plugins_url('designthemes-portfolio-addon').'/images/video-image.png" id="portfolio-featured-video" autoplay="autoplay" loop="loop" class="pause">
									<source src="'.$featured_video.'" type="video/mp4">
									<source src="'.$featured_video.'" type="video/webm">
									<source src="'.$featured_video.'" type="video/ogg">
								</video>
							</div>';

			} else if( has_post_thumbnail($portfolio_id) ){

				$bgimage = wp_get_attachment_image_src(get_post_thumbnail_id($portfolio_id), 'full', false);

				$output .= '<div class="single-portfolio-mediaontop-section">';
		    		$output .= '<div class="single-portfolio-mediaontop-item" style="background-image:url('.esc_url($bgimage[0]).')"></div>';
		    	$output .= '</div>';

		    } 

		$output .= '</section>';

	}

	echo $output;

}
add_action( 'dtpfaddon_mediaontop_hook', 'dtpfaddon_mediaontop_hook' );

?>