jQuery(document).ready(function($) {

	var isMobile = (navigator.userAgent.match(/iPhone/i)) || (navigator.userAgent.match(/iPod/i)) || (navigator.userAgent.match(/iPad/i)) || (navigator.userAgent.match(/Android/i)) || (navigator.userAgent.match(/Blackberry/i)) || (navigator.userAgent.match(/Windows Phone/i) || navigator.platform.match(/(Mac|iPhone|iPod|iPad)/i) ) ? true : false;
	
	var currentWidth = window.innerWidth || document.documentElement.clientWidth;

	// On window resize
	$(window).on("resize", function() {

		calculatePortfoliosSwiperHeight();
		calculatePortfolioSingleItemHeight();

		//Portfolio Isotope
 	    jQuery('.dt-sc-portfolio-container:not(.swiper-wrapper, .portfolio-container-carousel)').each(function() {
	  		var $postperpage = parseInt(jQuery(this).attr('data-postperpage'), 10);
	  		if( jQuery(this).length && $postperpage != 1) {
		        jQuery(this).isotope({
					itemSelector: '.portfolio',
					percentPosition: true,
					masonry: {
						columnWidth: '.grid-sizer'
					}        	
		        });
		    }
	    });       

	});

	// On Timeout load
	setTimeout(function() {
	
		//Portfolio Isotope
	    jQuery('.dt-sc-portfolio-container:not(.swiper-wrapper, .portfolio-container-carousel)').each(function() {
	  		var $postperpage = parseInt(jQuery(this).attr('data-postperpage'), 10);
	  		if( jQuery(this).length && $postperpage != 1) {
		        jQuery(this).isotope({
					itemSelector: '.portfolio',
					percentPosition: true,
					masonry: {
						columnWidth: '.grid-sizer'
					}        	
		        });
		    }
	    });

		if($("div.dt-sc-portfolio-sorting").length){
			$("div.dt-sc-portfolio-sorting a").on('click', function() {

				$("div.dt-sc-portfolio-sorting a").removeClass("active-sort");
				var selector = $(this).attr('data-filter');
				$(this).addClass("active-sort");

				$(this).parents('.dt-sc-portfolio-container-wrapper').find('.dt-sc-portfolio-container:not(.swiper-wrapper, .portfolio-container-carousel) .column').removeClass('animate flash shake bounce tada swing wobble pulse flip flipIn flipOutX flipInY flipOutY fadeIn fadeInUp fadeInDown fadeInLeft fadeInRight fadeInUpBig fadeInDownBig fadeInLeftBig fadeInRightBig fadeOut fadeOutUp fadeOutDown fadeOutLeft fadeOutRight fadeOutUpBig fadeOutDownBig fadeOutLeftBig fadeOutRightBig bounceIn bounceInUp bounceInDown bounceInLeft bounceInRight bounceOut bounceOutUp bounceOutDown bounceOutLeft bounceOutRight rotateIn rotateInUpLeft rotateInDownLeft rotateInUpRight rotateInDownRight rotateOut rotateOutUpLeft rotateOutDownLeft rotateOutUpRight rotateOutDownRight hinge rollIn rollOut lightSpeedIn lightSpeedOut slideDown slideUp slideLeft slideRight slideExpandUp expandUp expandOpen bigEntrance hatch floating tossing pullUp pullDown stretchLeft stretchRight zoomIn');
				$(this).parents('.dt-sc-portfolio-container-wrapper').find('.dt-sc-portfolio-container:not(.swiper-wrapper, .portfolio-container-carousel)').isotope({ filter: selector, masonry: {  }, animationEngine : 'jquery' });

				return false;

			});
		}

		// Repeat animation on periodic interval
		portfolioRepeatAnimation();
		function portfolioRepeatAnimation() {
			var divs = $('.dt-sc-portfolio-container.repeat-animation .portfolio.animate');
			if(divs.length) {
			    setTimeout(function() {
			    	var index = Math.floor(Math.random() * divs.length);
			    	divs.eq(index).removeClass('animate');
			    	setTimeout(function() {
			        	divs.eq(index).addClass('animate');
			        	portfolioRepeatAnimation();
			         }, 200);
			    }, ~~(Math.random()*(300-60+1)+2000));
		    } 			
		}	
		
		calculatePortfolioSingleItemHeight();		

		/****** Init Swiper - Starts *******/

		var swiperGallery = [];
		var swiperGalleryOptions = [];
		var swiperIterator = 1;
		$('.dt-sc-portfolio-single-slider-container, .dt-sc-portfolio-swiper-container').each(function() {

			var $swiperItem = $(this);
			var swiperUniqueId = 'swiperuniqueid-'+swiperIterator;

			swiperGalleryOptions[swiperUniqueId] = [];
			$swiperItem.attr('id', swiperUniqueId);

			// Get swiper options
			var effect = $swiperItem.find('.swiper-wrapper').attr('data-carouseleffect');
			var numberofrows = parseInt($swiperItem.find('.swiper-wrapper').attr('data-carouselnumberofrows'), 10);
			var slidespercolumn = 1;
			if(effect == 'multirows') {
				slidespercolumn = numberofrows;
			}
			var autoheight = true;
			if(slidespercolumn > 1) {
				var autoheight = false;
			}

			var autoplay = parseInt($swiperItem.find('.swiper-wrapper').attr('data-carouselautoplay'), 10);
			if(autoplay > 0) {
				swiperGalleryOptions[swiperUniqueId]['autoplay'] = autoplay;
			} else {
				swiperGalleryOptions[swiperUniqueId]['autoplay'] = 0;
			}

			var slidesperview = parseInt($swiperItem.find('.swiper-wrapper').attr('data-carouselslidesperview'), 10);
			var loopmode = ($swiperItem.find('.swiper-wrapper').attr('data-carouselloopmode') == 'true') ? true : false;
			var mousewheelcontrol = ($swiperItem.find('.swiper-wrapper').attr('data-carouselmousewheelcontrol') == 'true') ? true : false;
			var centermode = ($swiperItem.find('.swiper-wrapper').attr('data-carouselcentermode') == 'true') ? true : false;
			var verticaldirection = ($swiperItem.find('.swiper-wrapper').attr('data-carouselverticaldirection') == 'true') ? true : false;
			var direction = 'horizontal';
			if(verticaldirection) {
				direction = 'vertical';
			}

			var pagination_type = '';
			var pagination_class = '';

			var bulletpagination = ($swiperItem.find('.swiper-wrapper').attr('data-carouselbulletpagination') == 'true') ? true : false;
			if(bulletpagination) {
				var pagination_class = '.swiper-pagination';
				var pagination_type = 'bullets';
			}

			var fractionpagination = ($swiperItem.find('.swiper-wrapper').attr('data-carouselfractionpagination') == 'true') ? true : false;

			var progresspagination = ($swiperItem.find('.swiper-wrapper').attr('data-carouselprogresspagination') == 'true') ? true : false;
			if(progresspagination) {
				var pagination_class = '.swiper-progress-pagination';
				var pagination_type = 'progress';
			}

			var thumbnailpagination = ($swiperItem.find('.swiper-wrapper').attr('data-carouselthumbnailpagination') == 'true') ? true : false;
			if(thumbnailpagination) {
				swiperGalleryOptions[swiperUniqueId]['thumbnailpagination'] = true;
			} else {
				swiperGalleryOptions[swiperUniqueId]['thumbnailpagination'] = false;
			}

			if(thumbnailpagination) {
				initialslide = 3;
			} else {
				initialslide = 1;
			}

			var scrollbar_class = '';
			var	scrollbar_hide = true;
			var carouselscrollbar = ($swiperItem.find('.swiper-wrapper').attr('data-carouselscrollbar') == 'true') ? true : false;
			if(carouselscrollbar) {
				scrollbar_class = '.swiper-scrollbar';
				scrollbar_hide = false;
			}

			var grabcursor_mousepointer = false;
			var carouselhoverarrows = $swiperItem.find('.swiper-wrapper').attr('data-carouselhoverarrows');
			if(carouselhoverarrows == 'grabcursor-mousepointer') {
				grabcursor_mousepointer = true;
			}

			var spacebetween = parseInt($swiperItem.find('.swiper-wrapper').attr('data-carouselspacebetween'), 10);
			var detailednavclick = $swiperItem.find('.swiper-wrapper').attr('data-carouseldetailednavclick');
			if(detailednavclick != '' && detailednavclick != 'false') {
				var slidesperview = 1;
			}

			var sliderposition = parseInt($swiperItem.find('.swiper-wrapper').attr('data-carouselsliderposition'), 10);
			var sliderheight = parseInt($swiperItem.find('.swiper-wrapper').attr('data-carouselsliderheight'), 10);	

			if(slidesperview == 1) {
				var breakpoint_slides_1 = breakpoint_slides_2 = breakpoint_slides_3 = breakpoint_slides_4 = 1;
			} else if(slidesperview == 2) {
				var breakpoint_slides_1 = 2; var breakpoint_slides_2 = 2; var breakpoint_slides_3 = 2; var breakpoint_slides_4 = 1;
			} else if(slidesperview == 3) {
				var breakpoint_slides_1 = 3; var breakpoint_slides_2 = 3; var breakpoint_slides_3 = 2; var breakpoint_slides_4 = 1;
			} else if(slidesperview >= 4) {
				var breakpoint_slides_1 = 4; var breakpoint_slides_2 = 3; var breakpoint_slides_3 = 2; var breakpoint_slides_4 = 1;
			}				

			// Generate swiper
		    swiperGallery[swiperUniqueId] = new Swiper($swiperItem, {
     			
     			initialSlide: initialslide,
                simulateTouch: true,
                roundLengths: true,
                spaceBetween: spacebetween,
                keyboardControl: true,
                paginationClickable: true,

                grabCursor: grabcursor_mousepointer,
                autoplay: autoplay,
                slidesPerView: slidesperview,
                loop:loopmode,
                mousewheelControl: mousewheelcontrol,
                centeredSlides: centermode,
                direction: direction,

                pagination: pagination_class,
                paginationType: pagination_type, 

		        scrollbar: scrollbar_class,
		        scrollbarHide: scrollbar_hide,                       

                effect: effect,
				coverflow: {
				  rotate: 0,
				  stretch: 10,
				  depth: 200,
				  modifier: 1,
				},
		        cube: {
		            shadow: true,
		            slideShadows: true,
		            shadowOffset: 20,
		            shadowScale: 0.94
		        },
		       	slidesPerColumn: slidespercolumn,
		      
		        breakpoints: {
		            1024: {
		                slidesPerView: breakpoint_slides_1,
		            },
		            768: {
		                slidesPerView: breakpoint_slides_2,
		            },
		            640: {
		                slidesPerView: breakpoint_slides_3,
		            },
		            320: {
		                slidesPerView: breakpoint_slides_4,
		            }
		        },
                onInit: function(swiper) {    	

                    $swiperItem.find('.swiper-arrow-click').each(function() {
                        var arrow = $(this);
                        $(document).on('mousemove', function(event) {
                            var arrow_parent = arrow.parent(),
                                parent_offset = arrow_parent.offset(),
                                pos_left = Math.min(event.pageX - parent_offset.left, arrow_parent.width()),
                                pos_top = event.pageY - parent_offset.top;
                            arrow.css({
                                'left': pos_left,
                                'top': pos_top
                            });
                        });
                    });        

                    updateFractionPagination(swiper, $swiperItem, fractionpagination);
 					calculatePortfoliosSwiperHeight(); 

                },
                onScroll: function(swiper) {
                	if(autoplay > 0) {
                		swiper.startAutoplay();
                	}
                	updateFractionPagination(swiper, $swiperItem, fractionpagination);
                },
                onSlideChangeStart: function(swiper) {
                    updateFractionPagination(swiper, $swiperItem, fractionpagination);
                }                

		    });
	    	
            swiperGallery[swiperUniqueId].updateContainerSize();
            swiperGallery[swiperUniqueId].updateSlidesSize();   	

		    swiperIterator++;

		});	

		// Generate gallery thumb pagination
		for(i = 1; i < swiperIterator; i++) {
			if(swiperGalleryOptions['swiperuniqueid-'+i]['thumbnailpagination']) {

				var $swiper_gallerythumb_item = $('#swiperuniqueid-'+i).parents('.dt-sc-portfolio-container-wrapper, .dt-sc-portfolio-single-slider-wrapper').find('.dt-sc-portfolio-swiper-thumbnail-container');

			    var swiperGalleryThumbs = new Swiper($swiper_gallerythumb_item, {
			    	initialSlide: initialslide,
			        spaceBetween: 10,
			        centeredSlides: true,
			        slidesPerView: 'auto',
			        touchRatio: 0.2,
			        slideToClickedSlide: true
			    });
				
			    swiperGallery['swiperuniqueid-'+i].params.control = swiperGalleryThumbs;
			    swiperGalleryThumbs.params.control =  swiperGallery['swiperuniqueid-'+i];	

			}
		}

		/****** Init Swiper - Ends *******/

		/****** Swiper Utils - Start *******/

	    $('.enable-click .swiper-arrow-click.left').on('click', function(e) {
	    	e.preventDefault();
	        var swiperUniqueId = $(this).parents('.dt-sc-portfolio-swiper-container, .dt-sc-portfolio-single-slider-container').attr('id');
	        swiperGallery[swiperUniqueId].slidePrev();
	        if(swiperGalleryOptions[swiperUniqueId]['autoplay'] > 0 || $(this).parents('.swiper-pagination-holder').find('.swiper-playpause').hasClass('pause')) {
	        	swiperGallery[swiperUniqueId].startAutoplay();
	        }
	    });

	    $('.enable-click .swiper-arrow-click.right').on('click', function(e) {
	    	e.preventDefault();
	    	var swiperUniqueId = $(this).parents('.dt-sc-portfolio-swiper-container, .dt-sc-portfolio-single-slider-container').attr('id');
	        swiperGallery[swiperUniqueId].slideNext();
	        if(swiperGalleryOptions[swiperUniqueId]['autoplay'] > 0 || $(this).parents('.swiper-pagination-holder').find('.swiper-playpause').hasClass('pause')) {
	        	 swiperGallery[swiperUniqueId].startAutoplay();
	        } 
	    });	

	    $('.swiper-simple-arrows .swiper-simple-arrow-prev').on('click', function(e) {
	    	e.preventDefault();	
	    	var swiperUniqueId = $(this).parents('.dt-sc-portfolio-swiper-container, .dt-sc-portfolio-single-slider-container').attr('id');
	        swiperGallery[swiperUniqueId].slidePrev();
	        if(swiperGalleryOptions[swiperUniqueId]['autoplay'] > 0 || $(this).parents('.swiper-pagination-holder').find('.swiper-playpause').hasClass('pause')) {
	        	swiperGallery[swiperUniqueId].startAutoplay();
	        }	
	    });

	    $('.swiper-simple-arrows .swiper-simple-arrow-next').on('click', function(e) {
	    	e.preventDefault();	
	    	var swiperUniqueId = $(this).parents('.dt-sc-portfolio-swiper-container, .dt-sc-portfolio-single-slider-container').attr('id');
	        swiperGallery[swiperUniqueId].slideNext();
	        if(swiperGalleryOptions[swiperUniqueId]['autoplay'] > 0 || $(this).parents('.swiper-pagination-holder').find('.swiper-playpause').hasClass('pause')) {
	        	swiperGallery[swiperUniqueId].startAutoplay();
	        }
	    });	

	    $('.swiper-playpause').on('click', function(e) {
	    	e.preventDefault();
	    	var swiperUniqueId = $(this).parents('.dt-sc-portfolio-swiper-container, .dt-sc-portfolio-single-slider-container').attr('id');
	    	if($(this).hasClass('play')) {
	    		if(swiperGalleryOptions[swiperUniqueId]['autoplay'] > 0) {
	    		} else {
	    			swiperGallery[swiperUniqueId].params.autoplay = 2000;
	    		}
	    		swiperGallery[swiperUniqueId].startAutoplay();
	    	} else {
	    		swiperGallery[swiperUniqueId].stopAutoplay();	
	    	}
	    	$(this).toggleClass('pause play');
	    	$(this).find('span').toggleClass('fa-pause fa-play');  	
	    });

	    /****** Swiper Utils - End *******/

	}, 1000);	

	/****** Swiper Functions - Start *******/

    function updateFractionPagination(swiper, $swiperItem, fractionpagination) {

    	var s = swiper;

    	if(fractionpagination) {

	    	var total = s.params.loop ? Math.ceil((s.slides.length - s.loopedSlides * 2) / s.params.slidesPerGroup) : s.snapGrid.length;

            if (s.params.loop) {
                current = Math.ceil((s.activeIndex - s.loopedSlides)/s.params.slidesPerGroup);
                if (current > s.slides.length - 1 - s.loopedSlides * 2) {
                    current = current - (s.slides.length - s.loopedSlides * 2);
                }
                if (current > total - 1) current = current - total;
                if (current < 0) current = total + current;
            } else {
                if (typeof s.snapIndex !== 'undefined') {
                    current = s.snapIndex;
                } else {
                    current = s.activeIndex || 0;
                }
            }

	    	var activeItem = (current+1);
	    	var totalItem = total;

            $swiperItem.find('.swiper-fraction-pagination .current').html(activeItem);
            $swiperItem.find('.swiper-fraction-pagination .total').html(totalItem);

        } else {

        	var activeItem = parseInt(s.activeIndex, 10)+1;
        	var totalItem = (parseInt(s.slides.length, 10)-s.params.slidesPerView)+1;

        }

        $swiperItem.find('.swiper-arrow-click').removeClass('disabled');
        if(!s.params.loop) {
	        if(activeItem < 2) {
	        	$swiperItem.find('.swiper-arrow-click.left').addClass('disabled');
	        }
	        if(totalItem == activeItem) {
	        	$swiperItem.find('.swiper-arrow-click.right').addClass('disabled');
	        }
	    }

	} 

	function calculatePortfoliosSwiperHeight() {

		var detailsSectionHeight = 82;

		$('.swiper-wrapper').each(function() {

			if(!$(this).parents().hasClass('dt-sc-portfolio-swiper-thumbnail-container')) {

				var swiperItem = $(this);

				var sliderposition = swiperItem.attr('data-carouselsliderposition');
				var sliderheight = swiperItem.attr('data-carouselsliderheight');

				var effect = swiperItem.attr('data-carouseleffect');
				var numberofrows = parseInt(swiperItem.attr('data-carouselnumberofrows'), 10);
				var slidespercolumn = 1;
				if(effect == 'multirows') {
					var slidespercolumn = numberofrows;
				}

				if(sliderposition == 'fullscreen-slider') {

					var carousel_height_wrapper = $(window.top).height();
					var carousel_height = carousel_height_wrapper;

					if(effect == 'multirows') {
						var carousel_height = (carousel_height/slidespercolumn);
						// fix for visual composer
						/*carousel_height_wrapper = carousel_height_wrapper-1;
						var vc_height_fix = (1/slidespercolumn);
						carousel_height = carousel_height-vc_height_fix;*/					
					}

					if(swiperItem.hasClass('details-below-image')) {
						var carousel_height = parseInt(carousel_height)-detailsSectionHeight;
					}

					swiperItem.parents('.dt-sc-portfolio-container-wrapper').height(carousel_height_wrapper);
					swiperItem.height(carousel_height_wrapper);
					swiperItem.parents('.dt-sc-portfolio-single-slider-wrapper').height(carousel_height_wrapper);
					swiperItem.find('.swiper-slide').height(carousel_height);

				} else if(sliderposition == 'fit-slider') {

					var winHeight = $(window).height();
					if($('body').hasClass('left-header') || $('body').hasClass('left-header-boxed') || $('body').hasClass('creative-header')) {
						var headerHeight = 0;
					} else {
						var headerHeight = $('#header-wrapper').height();
					}
					var footerHeight = $('#footer').height();

					var paddingtop = (swiperItem.parents('.vc_row').length) ? swiperItem.parents('.vc_row').css('padding-top').replace('px', '') : 0;
					var paddingbottom = (swiperItem.parents('.vc_row').length) ? swiperItem.parents('.vc_row').css('padding-bottom').replace('px', '') : 0;

					var carousel_height_wrapper = parseInt((winHeight-headerHeight-footerHeight-paddingtop-paddingbottom), 10);
					var carousel_height = carousel_height_wrapper;

					if(effect == 'multirows') {
						var carousel_height = (carousel_height/slidespercolumn);
						// fix for visual composer
						/*carousel_height_wrapper = carousel_height_wrapper-1;
						var vc_height_fix = (1/slidespercolumn);
						carousel_height = carousel_height-vc_height_fix;*/
					}

					if(swiperItem.hasClass('details-below-image')) {
						var carousel_height = parseInt(carousel_height)-detailsSectionHeight;
					}	

					swiperItem.parents('.dt-sc-portfolio-container-wrapper').height(carousel_height_wrapper);
					swiperItem.height(carousel_height_wrapper);
					swiperItem.parents('.dt-sc-portfolio-single-slider-wrapper').height(carousel_height_wrapper);
					swiperItem.find('.swiper-slide').height(carousel_height);

				} else if(sliderposition == 'manual-height') {

					var carousel_height = sliderheight;
					var carousel_height_wrapper = carousel_height;
					if(carousel_height == undefined) {
						var carousel_height = 650;
						var carousel_height_wrapper = 650;
					}

					if(swiperItem.hasClass('details-below-image')) {
						var carousel_height_wrapper = parseInt(carousel_height)+(detailsSectionHeight*slidespercolumn);
					}

					if(effect == 'multirows') {
						var carousel_height = (carousel_height/slidespercolumn);
					}				

					swiperItem.parents('.dt-sc-portfolio-container-wrapper').height(carousel_height_wrapper);
					
					swiperItem.parents('.dt-sc-portfolio-single-slider-wrapper').height(carousel_height_wrapper);
					swiperItem.height(carousel_height_wrapper);
					swiperItem.find('.swiper-slide').height(carousel_height);

				} else {

					var carousel_height = 650;
					var carousel_height_wrapper = 650;

					if(swiperItem.hasClass('details-below-image')) {
						var carousel_height_wrapper = parseInt(carousel_height)+(detailsSectionHeight*slidespercolumn);
					}

					if(effect == 'multirows') {
						var carousel_height = (carousel_height/slidespercolumn);
					}				

					swiperItem.parents('.dt-sc-portfolio-container-wrapper').height(carousel_height_wrapper);
					swiperItem.height(carousel_height_wrapper);
					swiperItem.parents('.dt-sc-portfolio-single-slider-wrapper').height(carousel_height_wrapper);
					swiperItem.find('.swiper-slide').height(carousel_height);				

				}

			}

		});

	}

	/****** Swiper Functions - End *******/


	// Calculate portfolio single item height for media on top, fixed gallery, fixed feature image
	function calculatePortfolioSingleItemHeight() {

		if($('body').hasClass('single-dt_portfolios')) {

			var winHeight = $(window).height();
			if($('body').hasClass('left-header') || $('body').hasClass('left-header-boxed') || $('body').hasClass('creative-header')) {
				var headerHeight = 0;
			} else {
				var headerHeight = $('#header-wrapper').height();
			}
			var footerHeight = $('#footer').height();

			var height = parseInt((winHeight-headerHeight-footerHeight), 10);

			$('.fixed-gallery').find('.dt-sc-fixed-content').css('top', headerHeight);
			$('.fixed-gallery').find('.dt-sc-portfolio-details').height(height).niceScroll({zindex: 999999, cursorborder: '1px solid #424242' });

			$('.fixed-feature-image').find('.dt-sc-fixed-content').css('top', headerHeight);
			$('.fixed-feature-image').find('.dt-sc-fixed-content').height(height);
			$('.fixed-feature-image').find('.dt-sc-portfolio-details').height(height).niceScroll({zindex: 999999, cursorborder: '1px solid #424242' });

			var mheight = $(window.top).height();
			$('.single-portfolio-mediaontop-section-holder .single-portfolio-mediaontop-item').height(mheight);
			$('.single-portfolio-mediaontop-section-holder #portfolio-featured-video').height(mheight);
			
		}

	}	
		
	// Function to animate portfolio items	
	function animatePortfolioItems() {	
		jQuery('.portfolio.animate').each(function(){
			jQuery(this).one('inview', function (event, visible) {	
				if (visible == true) {
					var $this = $(this),
					$animation = ( $this.data('animationeffect') !== undefined ) ? $this.data('animationeffect') : 'slideUp';
					var	$delay = ( $this.data('animationdelay') !== undefined ) ? $this.data('animationdelay') : 400;
					setTimeout(function() { $this.addClass($animation);	},$delay);
				}
			});
		});
		$(window).scroll();
	}
	animatePortfolioItems();


	// Make portfolio featured video to play on click
    $('#portfolio-featured-video').on('click', function() {            
        if($(this).hasClass('play')) {
        	$(this).get(0).play();
        } else {
        	$(this).get(0).pause();
        }
        $(this).toggleClass('pause play');
    });		


	// ilightbox for with gallery list, with gallery thumb hover effects
	$('.portfolio').each( function() {
		var ilightboxid = $(this).find('.image-overlay').attr('data-ilightboxid');
		if($('.'+ilightboxid).length) {
			$('.'+ilightboxid).iLightBox({
				attr: 'data-ilightboximg',
				fullViewPort: 'stretch',
			    controls: {
			      mousewheel: true,
			      swipe: true,
			      thumbnail: true
			    },		
				path: 'horizontal',
				infinite: true,
	    	});	
    	}	
	});	

	// ilightbox for portfolio template listing, single page gallery listing
	var $pphoto = $('a[data-gal^="prettyPhoto[gallery]"], a[data-gal^="prettyPhoto[gallery-listing]"]');
	if ($pphoto.length && !$pphoto.parents('.dt-sc-portfolio-container, .portfolio-container-fullpage').hasClass('swiper-wrapper')) {
		$($pphoto).iLightBox({
			attr: 'href',
			fullViewPort: 'stretch',
		    controls: {
		      mousewheel: true,
		      swipe: true,
		      thumbnail: true
		    },		
			path: 'vertical',
			infinite: true,
    	});	
	}

	// Full page jquery
	$('.portfolio-container-fullpage:not(.disable-fullpage-jquery)').each(function() {
		$(this).fullpage({
			navigation: true,
			navigationPosition: $(this).attr('data-fullpagenavigation'),
			css3: true,
			autoScrolling: $(this).attr('data-disableautoscrolling'),
			fitToSection: false,
			scrollBar: true,
		});
	});	

	// parallax jquery
	if($('.portfolio-parallax').length) {
		$('.portfolio-parallax').each(function() {
			if($(this).attr('data-jarallax') !== undefined) {
			    $(this).jarallax({
			        imgWidth: 1366,
			        imgHeight: 768
			    });
			}
	    });	
	}

	// multiscroll
	if(currentWidth > 767) {
		if($('.dt-sc-portfolio-multiscroll-container').length) {
	    	$('.dt-sc-portfolio-multiscroll-container').multiscroll({
				css3: true,
				scrollingSpeed: 800,	
			});
	    	$('.dt-sc-portfolio-container-wrapper').height($('.dt-sc-portfolio-multiscroll-container .portfolio-multiscroll').height());
	    	if($('.multiscroll-button').length) {
		        $('.multiscroll-button.down').on('click', function() {
		            $.fn.multiscroll.moveSectionDown();
		        });
		        $('.multiscroll-button.up').on('click', function() {
		            $.fn.multiscroll.moveSectionUp();
		        });	
	        }	
		}
	}

	// infinite portfolio
	$('.dt-sc-infinite-portfolio-load-more').each(function(){

		var $this_global = $(this);
		var $completedata_obj = $this_global.attr('data-complete-data');
		var $completedata_json = $.parseJSON($completedata_obj);

		var $pagination_type = $completedata_json['portfolio-pagination-type'];
		var $paged = $completedata_json['paged'];

		if($pagination_type == 'lazy-load') {

			$(window).scroll(function(){
				if($(window).scrollTop() == $(document).height() - $(window).height()){

					var $wrapper = $this_global.prev('.dt-sc-infinite-portfolio-wrapper');

					$completedata_json['paged'] = $paged;
					var $completedata_object = JSON.stringify($completedata_json);

					$paged++;

					$.ajax({
						type : "post",
						dataType : "html",
						url : dttheme_urls.ajaxurl,
						data : { action: "dtpfaddon_ajax_infinite_portfolios", completedata_json: $completedata_object },
						beforeSend: function(){
							jQuery('.dt-sc-infinite-portfolio-load-more').prepend( '<i class="fa fa-spinner fa-spin"></i>' );
						},						
						success: function (data) {

							if (data.length > 0) {

								$wrapper.find('.dt-sc-infinite-portfolio-container').isotope('insert', $(data));
								setTimeout(function(){
									$wrapper.find('.dt-sc-infinite-portfolio-container').isotope('layout');
								}, 400);

								animatePortfolioItems();

							} else {

								$this_global.addClass('disable');
								$wrapper.find(".message").removeClass("hidden");
								setTimeout(function(){
									$wrapper.find(".message").addClass('hidden');
								}, 5000);

							}
							
						},
						error: function (jqXHR, textStatus, errorThrown) {
						},
						complete: function(){
							jQuery(".dt-sc-infinite-portfolio-load-more i").remove();
						}																		
					});	

				}
			});

		} else if( $pagination_type == 'load-more') {

			$this_global.on('click', function(e){

				e.preventDefault();

				var $this = $(this);
				var $wrapper = $this.prev('.dt-sc-infinite-portfolio-wrapper');

				$completedata_json['paged'] = $paged;
				var $completedata_object = JSON.stringify($completedata_json);

				$paged++;

				$.ajax({
					type : "post",
					dataType : "html",
					url : dttheme_urls.ajaxurl,
					data : { action: "dtpfaddon_ajax_infinite_portfolios", completedata_json: $completedata_object },
					beforeSend: function(){
						jQuery('.dt-sc-infinite-portfolio-load-more').prepend( '<i class="fa fa-spinner fa-spin"></i>' );
					},					
					success: function (data) {

						if (data.length > 0) {

							$wrapper.find('.dt-sc-infinite-portfolio-container').isotope('insert', $(data));
							setTimeout(function(){
								$wrapper.find('.dt-sc-infinite-portfolio-container').isotope('layout');
							}, 400);

							animatePortfolioItems();

						} else {

							$this.addClass('disable');
							$wrapper.find(".message").removeClass("hidden");
							setTimeout(function(){
								$wrapper.find(".message").addClass('hidden');
							}, 5000);

						}

					},
					error: function (jqXHR, textStatus, errorThrown) {
					},
					complete: function(){
						jQuery(".dt-sc-infinite-portfolio-load-more i").remove();
					}					
				});
			});

		}

	});

	// One page navigation scripts
	if($('.dt-sc-onepage-navigation-title-holder').length) {

		$('.dt-sc-onepage-navigation-title-holder li a').on('click', function() {
			if($(this).parents('.dt-sc-onepage-navigation-title-holder').hasClass('rounded')) {
				$('.dt-sc-onepage-navigation-title-holder li').removeClass('active');
				$(this).parent('li').addClass('active');
				$.scrollTo($(this).attr('href'), 750);
			} else {
				$('.dt-sc-onepage-navigation-title-holder li a').removeClass('active');
				$(this).addClass('active');
				$.scrollTo($(this).attr('href'), 750);
			}
		});

		$(window).scroll(function() {
			$('.dt-sc-onepage-navigation-title-holder li a').each(function(){
				var section_id = $(this).attr('href');

				if($(window).scrollTop() == 0) {

					if($(this).parents('.dt-sc-onepage-navigation-title-holder').hasClass('rounded')) {
						$('.dt-sc-onepage-navigation-title-holder li').removeClass('active');
						$('.dt-sc-onepage-navigation-title-holder li:first').addClass('active');
					} else {
						$('.dt-sc-onepage-navigation-title-holder li a').removeClass('active');
						$('.dt-sc-onepage-navigation-title-holder li a:first').addClass('active');
					}

				} else {

				    var top_of_element = $(section_id).offset().top+200;
				    var bottom_of_element = $(section_id).offset().top + $(section_id).outerHeight();
				    var bottom_of_screen = $(window).scrollTop() + $(window).height();

				    if((bottom_of_screen > top_of_element) && (bottom_of_screen < bottom_of_element)){
						if($(this).parents('.dt-sc-onepage-navigation-title-holder').hasClass('rounded')) {
							$('.dt-sc-onepage-navigation-title-holder li').removeClass('active');
							$('.dt-sc-onepage-navigation-title-holder li a[href="'+section_id+'"]').parent('li').addClass('active');
						} else {				    	
							$('.dt-sc-onepage-navigation-title-holder li a').removeClass('active');
							$('.dt-sc-onepage-navigation-title-holder li a[href="'+section_id+'"]').addClass('active');
						}
				    }

				}
		    });
		});
		
	}	


});