<?php
class DTPortfolioShortcodesDefinition {
	
	function __construct() {

		add_shortcode ( "dt_sc_portfolios", array (
			$this,
			"dt_sc_portfolios"
		) );	
		
		add_action( 'wp_ajax_dtpfaddon_ajax_infinite_portfolios', array( $this, 'dtpfaddon_ajax_infinite_portfolios' ) );
		add_action( 'wp_ajax_nopriv_dtpfaddon_ajax_infinite_portfolios', array( $this, 'dtpfaddon_ajax_infinite_portfolios' ) );				
		
		add_shortcode ( "dt_sc_onepage_navigation_title_holder", array (
			$this,
			"dt_sc_onepage_navigation_title_holder"
		) );

		add_shortcode ( "dt_sc_portfolio_comments", array (
			$this,
			"dt_sc_portfolio_comments"
		) );

		add_shortcode ( "dt_sc_portfolio_custom_details", array (
			$this,
			"dt_sc_portfolio_custom_details"
		) );

		add_shortcode ( "dt_sc_portfolio_feature_image", array (
			$this,
			"dt_sc_portfolio_feature_image"
		) );	

		add_shortcode ( "dt_sc_portfolio_feature_video", array (
			$this,
			"dt_sc_portfolio_feature_video"
		) );

		add_shortcode ( "dt_sc_portfolio_gallery_listing", array (
			$this,
			"dt_sc_portfolio_gallery_listing"
		) );	

		add_shortcode ( "dt_sc_portfolio_navigation_links", array (
			$this,
			"dt_sc_portfolio_navigation_links"
		) );

		add_shortcode ( "dt_sc_portfolio_related_portfolios", array (
			$this,
			"dt_sc_portfolio_related_portfolios"
		) );

		add_shortcode ( "dt_sc_portfolio_slider", array (
			$this,
			"dt_sc_portfolio_slider"
		) );

		add_shortcode ( "dt_sc_portfolio_terms", array (
			$this,
			"dt_sc_portfolio_terms"
		) );																						

		add_shortcode ( "dt_sc_portfolio_title", array (
			$this,
			"dt_sc_portfolio_title"
		) );

	}
	
	function dt_sc_portfolios( $attrs, $content = null ){

		extract( shortcode_atts( array(
			'portfolioid' => '',
			'portfolio-post-per-page' => '-1',

			'portfolio-post-layout' => 'one-fourth-column',
			'portfolio-post-style' => 'default',
			'portfolio-details-below-image' => '',
			'portfolio-hover-style' => 'modern-title',
			'portfolio-cursor-hover-style' => '',

			'portfolio-displaystyle' => '',
			'portfolio-carousel-effect' => '',
			'portfolio-carousel-numberofrows' => '',
			'portfolio-carousel-autoplay' => '',
			'portfolio-carousel-slidesperview' => '',
			'portfolio-carousel-loopmode' => '',
			'portfolio-carousel-mousewheelcontrol' => '',
			'portfolio-carousel-centermode' => '',
			'portfolio-carousel-verticaldirection' => '',
			'portfolio-carousel-bulletpagination' => '',
			'portfolio-carousel-fractionpagination' => '',
			'portfolio-carousel-progresspagination' => '',
			'portfolio-carousel-arrowpagination' => '',
			'portfolio-carousel-arrowpagination-type' => '',
			'portfolio-carousel-thumbnailpagination' => '',
			'portfolio-carousel-scrollbar' => '',
			'portfolio-carousel-paginationcolorscheme' => '',
			'portfolio-carousel-playpausebutton' => '',
			'portfolio-carousel-hoverarrows' => '',
			'portfolio-carousel-detailednav-click' => '',
			'portfolio-carousel-spacebetween' => '',
			'portfolio-carousel-pagination-designtype' => '',
			'portfolio-carousel-slider-position' => '',
			'portfolio-carousel-slider-height' => '',

			'portfolio-multiscroll-enable-arrows' => '',

			'portfolio-fullpage-navigation' => 'left',
			'portfolio-fullpage-type' => '',
			'portfolio-fullpage-splittedsections' => 'leftside-image',

			'portfolio-parallax-effects' => '',

			'portfolio-grid-space' => '',
			'filter' => '',
			'portfolio-filterdesign-type' => '',
			'portfolio-categories' => '',

			'portfolio-pagination-type' => '',
			'paged' => '1',
			'ajax-call' => '0',

			'related-portfolio-id' => '',

			'animationeffect' => '',
			'animationdelay' => '',
			'repeat-animation' => '',
			'hover-state' => '',
			'portfolio-disable-item-options' => '',
			'hover-background-color' => '',
			'hover-content-color' => '',
			'hover-gradient-color' => '',
			'hover-gradient-direction' => 'lefttoright'

		), $attrs ) );

		$attrs = (is_array($attrs) && !empty($attrs)) ?array_filter($attrs) : array();

		$tpl_default_settings = array_filter($attrs);
		$tpl_default_settings['portfolio-carousel-content-over-slider'] = $content;

		global $post;
		$portfolio_shortcode_pageid = $post->ID;

		$show_sidebar = dtpfaddon_shortcode_page_details($portfolio_shortcode_pageid);

		wp_enqueue_style ( 'dtportfolioaddon-css-custom', plugin_dir_url ( __FILE__ ) . 'css/custom.css', array (), false, 'all' );

		return dtpfaddon_portfolio_lists($portfolio_shortcode_pageid, $tpl_default_settings, $show_sidebar);

	}

	function dtpfaddon_ajax_infinite_portfolios(){

		$completedata_array = json_decode(html_entity_decode(stripslashes($_REQUEST['completedata_json'])), true);

		$sc = '[dt_sc_portfolios ajax-call="1"';
		foreach($completedata_array as $cda_key => $cda_val) {
			if($cda_key != 'ajax-call') {
				if($cda_key == 'paged') {
					$sc .= ' '.$cda_key.'="'.($cda_val+1).'"';
				} else if($cda_key == 'portfolio-categories') {
					if(is_array($cda_val)) {
						$sc .= ' '.$cda_key.'="'.implode(',',$cda_val).'"';
					} else {
						$sc .= ' '.$cda_key.'="'.$cda_val.'"';
					}				
				} else {
					$sc .= ' '.$cda_key.'="'.$cda_val.'"';
				}
			}
			
		}
		$sc .= ' /]';

		echo do_shortcode($sc);

		die(1);

	}
	
	function dt_sc_onepage_navigation_title_holder($attrs, $content = null) {

		extract( shortcode_atts( array(
			'navigation_ids' => '',
			'navigation_titles' => '',
			'type' => 'default',
			'position' => 'left',
		), $attrs ) );

		$navigation_ids = explode(',', $navigation_ids);
		$navigation_titles = explode(',', $navigation_titles);

		if($type == '') {
			$type = 'default';
		}

		$out = '<ul class="dt-sc-onepage-navigation-title-holder '.$type.' '.$position.'">';
					if(is_array($navigation_ids) && !empty($navigation_ids)) {
						$i = 1;
						foreach($navigation_ids as $navigation_id) {
							$class = '';
							if($i == 1) {
								$class = 'class="active"';
							}
							$out .= '<li>
										<a href="#'.$navigation_id.'" onclick="return false" '.$class.'>
											<span>'.$i.'</span>
											<span>'.$navigation_titles[$i-1].'</span>
										</a>
									</li>';
							$i++;
						}
					}
		$out .= '</ul>';

		return $out;

	}
	
	function dt_sc_portfolio_comments($attrs, $content = null) {

		extract ( shortcode_atts ( array (
			'portfolio_id' => '',
		), $attrs ) );	

		$out = dtpfaddon_get_portfolio_comments($portfolio_id);

		return $out;

	}

	function dt_sc_portfolio_custom_details($attrs, $content = null) {

		extract ( shortcode_atts ( array (
			'portfolio_id' => '',
			'type' => '',
			'class' => '',
		), $attrs ) );	

		$out = dtpfaddon_get_portfolio_custom_details($portfolio_id, $type, $class);

		return $out;

	}

	function dt_sc_portfolio_feature_image($attrs, $content = null) {

		extract ( shortcode_atts ( array (
			'portfolio_id' => '',
		), $attrs ) );	

		$out = dtpfaddon_get_portfolio_feature_image($portfolio_id);

		return $out;

	}	

	function dt_sc_portfolio_feature_video($attrs, $content = null) {

		extract ( shortcode_atts ( array (
			'portfolio_id' => '',
		), $attrs ) );	

		$out = dtpfaddon_get_portfolio_feature_video($portfolio_id);

		return $out;

	}	

	function dt_sc_portfolio_gallery_listing($attrs, $content = null) {

		extract( shortcode_atts( array(
			'portfolio_id' => '',
			'gallery_ids' => '',
			'portfolio-post-layout' => 'one-half-column',
			'portfolio-grid-space' => '',
			'portfolio-hover-design' => '',
			'animationeffect' => '',
			'animationdelay' => '',
			'repeat-animation' => '',
		), $attrs ) );

		$gallery_settings = is_array($attrs) ? array_filter($attrs) : array();

		$out = dtpfaddon_get_portfolio_gallery_listing($gallery_settings);

		return $out;

	}	

	function dt_sc_portfolio_navigation_links($attrs, $content = null) {

		extract ( shortcode_atts ( array (
			'type' => '',
		), $attrs ) );	

		$out = dtpfaddon_get_portfolio_navigation_links($type);

		return $out;

	}

	function dt_sc_portfolio_related_portfolios( $attrs, $content = null ){

		extract( shortcode_atts( array(
			'related-portfolio-id' => '',
			'portfolio-post-per-page' => '-1',

			'portfolio-post-layout' => 'one-fourth-column',
			'portfolio-post-style' => 'default',
			'portfolio-details-below-image' => '',
			'portfolio-hover-style' => 'modern-title',
			'portfolio-cursor-hover-style' => '',

			'portfolio-displaystyle' => '',
			'portfolio-carousel-effect' => '',
			'portfolio-carousel-numberofrows' => '',
			'portfolio-carousel-autoplay' => '',
			'portfolio-carousel-slidesperview' => '',
			'portfolio-carousel-loopmode' => '',
			'portfolio-carousel-mousewheelcontrol' => '',
			'portfolio-carousel-centermode' => '',
			'portfolio-carousel-verticaldirection' => '',
			'portfolio-carousel-bulletpagination' => '',
			'portfolio-carousel-fractionpagination' => '',
			'portfolio-carousel-progresspagination' => '',
			'portfolio-carousel-arrowpagination' => '',
			'portfolio-carousel-arrowpagination-type' => '',
			'portfolio-carousel-thumbnailpagination' => '',
			'portfolio-carousel-scrollbar' => '',
			'portfolio-carousel-paginationcolorscheme' => '',
			'portfolio-carousel-playpausebutton' => '',
			'portfolio-carousel-hoverarrows' => '',
			'portfolio-carousel-detailednav-click' => '',
			'portfolio-carousel-spacebetween' => '',
			'portfolio-carousel-pagination-designtype' => '',
			'portfolio-carousel-slider-position' => '',
			'portfolio-carousel-slider-height' => '',

			'portfolio-multiscroll-enable-arrows' => '',

			'portfolio-fullpage-navigation' => 'left',
			'portfolio-fullpage-type' => '',
			'portfolio-fullpage-splittedsections' => 'leftside-image',

			'portfolio-parallax-effects' => '',

			'striped-portfolio-post-layout' => '',

			'portfolio-grid-space' => '',
			'filter' => '',
			'portfolio-filterdesign-type' => '',
			'portfolio-categories' => '',

			'portfolio-pagination-type' => '',
			'paged' => '1',
			'ajax-call' => '0',

			'related-portfolio-id' => '',

			'animationeffect' => '',
			'animationdelay' => '',
			'repeat-animation' => '',
			'hover-state' => '',
			'portfolio-disable-item-options' => '',
			'hover-background-color' => '',
			'hover-content-color' => '',
			'hover-gradient-color' => '',
			'hover-gradient-direction' => 'lefttoright'
		), $attrs ) );

		$attrs = (is_array($attrs) && !empty($attrs)) ?array_filter($attrs) : array();

		$tpl_default_settings = array_filter($attrs);
		$tpl_default_settings['from'] = 'related-portfolio';
		$tpl_default_settings['portfolio-carousel-content-over-slider'] = $content;

		global $post;
		$portfolio_shortcode_pageid = $post->ID;

		$show_sidebar = dtpfaddon_shortcode_page_details($portfolio_shortcode_pageid);

		wp_enqueue_style ( 'dtportfolioaddon-css-custom', plugin_dir_url ( __FILE__ ) . 'css/custom.css', array (), false, 'all' );

		return dtpfaddon_portfolio_lists($portfolio_shortcode_pageid, $tpl_default_settings, $show_sidebar);

	}	

	function dt_sc_portfolio_slider($attrs, $content = null) {

		extract ( shortcode_atts ( array (
			'portfolio_id' => '',
			'gallery_ids' => '',
			'show_feature_image' => '',
			'show_feature_video' => '',
			'portfolio-carousel-effect' => '',
			'portfolio-carousel-numberofrows' => '',
			'portfolio-carousel-autoplay' => '',
			'portfolio-carousel-slidesperview' => '',
			'portfolio-carousel-loopmode' => '',
			'portfolio-carousel-mousewheelcontrol' => '',
			'portfolio-carousel-centermode' => '',
			'portfolio-carousel-verticaldirection' => '',
			'portfolio-carousel-bulletpagination' => '',
			'portfolio-carousel-fractionpagination' => '',
			'portfolio-carousel-progresspagination' => '',
			'portfolio-carousel-arrowpagination' => '',
			'portfolio-carousel-arrowpagination-type' => '',
			'portfolio-carousel-thumbnailpagination' => '',
			'portfolio-carousel-scrollbar' => '',
			'portfolio-carousel-paginationcolorscheme' => '',
			'portfolio-carousel-playpausebutton' => '',
			'portfolio-carousel-hoverarrows' => '',
			'portfolio-carousel-detailednav-click' => '',
			'portfolio-carousel-spacebetween' => '',
			'portfolio-carousel-pagination-designtype' => '',
			'portfolio-carousel-slider-position' => '',
			'portfolio-carousel-slider-height' => '',			
			'show-details-over-content' => '',
			'show-title' => '',
			'show-categories' => '',
			'content-to-show' => '',
			'show-navigation-links' => '',
		), $attrs ) );	

		$slider_settings = is_array($attrs) ? array_filter($attrs) : array();
		$slider_settings['content-to-show'] = $content;

		$out = dtpfaddon_get_portfolio_slider($slider_settings);

		return $out;

	}

	function dt_sc_portfolio_terms($attrs, $content = null) {

		extract ( shortcode_atts ( array (
			'portfolio_id' => '',
			'with_icon' => '',
			'term' => '',
		), $attrs ) );	

		$out = dtpfaddon_get_portfolio_terms($portfolio_id, $with_icon, $term);

		return $out;

	}		

	function dt_sc_portfolio_title($attrs, $content = null) {

		extract ( shortcode_atts ( array (
			'portfolio_id' => '',
		), $attrs ) );	

		$out = dtpfaddon_get_portfolio_lists($portfolio_id);

		return $out;

	}			

}
?>