<?php
if (!function_exists('dtpfaddon_features')) {

	function dtpfaddon_features() {

		if ( function_exists( 'add_theme_support' ) ) {

			add_image_size( 'dtpfaddon-635x1100', 635, 1100, true  );
			add_image_size( 'dtpfaddon-750x650', 750, 650, true  );
			add_image_size( 'dtpfaddon-450x450', 450, 450, true  );
			add_image_size( 'dtpfaddon-941x724', 941, 724, true  );
			add_image_size( 'dtpfaddon-420x420', 420, 420, true  );

		}
		
	}

	add_action('after_setup_theme', 'dtpfaddon_features');

}

// Update the body class
function dtpfaddon_body_classes( $classes ) {


	global $post;

	if(isset($post)) {

		$portfolio_settings = get_post_meta ( $post->ID, '_portfolio_settings', TRUE );
		$portfolio_settings = is_array ( $portfolio_settings ) ? $portfolio_settings : array ();
		
	}

	if(is_singular('dt_portfolios')) {

		if(array_key_exists('disable-top-spaces', $portfolio_settings) && $portfolio_settings['disable-top-spaces'] != '') {
			$classes[] = 'remove-top-spaces';
		}

		if(array_key_exists('disable-bottom-spaces', $portfolio_settings) && $portfolio_settings['disable-bottom-spaces'] != '') {
			$classes[] = 'remove-bottom-spaces';
		}	

		if(array_key_exists( 'enable-header-over-content', $portfolio_settings) && $portfolio_settings['enable-header-over-content'] ) {
			$classes[] = 'page-with-slider';
		}

	}

	return $classes;

}
add_filter( 'body_class', 'dtpfaddon_body_classes' );
?>