<?php add_action( 'vc_before_init', 'dt_sc_portfolio_gallery_listing_vc_map' );
function dt_sc_portfolio_gallery_listing_vc_map() {

	global $dtpfaddon_animationtypes;

	vc_map( array(
		"name" => esc_html__( "Single Portfolio - Gallery Listings", 'dtportfolioaddon' ),
		"base" => "dt_sc_portfolio_gallery_listing",
		"icon" => "dt_sc_portfolio_gallery_listing",
		"category" => DT_PFADDON_TITLE,
		"params" => array(

			// Portfolio ID
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Portfolio ID', 'dtportfolioaddon' ),
				'param_name' => 'portfolio_id',
				'description' => esc_html__( 'Enter portfolio id here. If you are going to use this shortcode in portfolio single page no need to give portfolio id.', 'dtportfolioaddon' ),
				'admin_label' => true
			),

			// Gallery ID(s)
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Gallery ID', 'dtportfolioaddon' ),
				'param_name' => 'gallery_ids',
				'description' => esc_html__( 'Comma separated gallery item ids to display particular gallery items only.', 'dtportfolioaddon' ),
				'admin_label' => true
			),			
			
			// Post Layout
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Post Layout','dtportfolioaddon'),
				'param_name' => 'portfolio-post-layout',
				'value' => array( 
							esc_html__('I Column','dtportfolioaddon') => 'one-column' ,
							esc_html__('II Columns','dtportfolioaddon') => 'one-half-column' ,
							esc_html__('III Columns','dtportfolioaddon') => 'one-third-column',
							esc_html__('IV Columns','dtportfolioaddon') => 'one-fourth-column',
							esc_html__('V Columns','dtportfolioaddon') => 'one-fifth-column',
							esc_html__('VI Columns','dtportfolioaddon') => 'one-sixth-column',
							esc_html__('VII Columns','dtportfolioaddon') => 'one-seventh-column',
							esc_html__('VIII Columns','dtportfolioaddon') => 'one-eight-column',
							esc_html__('IX Columns','dtportfolioaddon') => 'one-nineth-column',
							esc_html__('X Columns','dtportfolioaddon') => 'one-tenth-column',
						),
				'std' => 'one-half-column'
			),	

			// Grid Space
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Grid Space','dtportfolioaddon'),
				'param_name' => 'portfolio-grid-space',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
			),

			// Hover Design
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Hover Design','dtportfolioaddon'),
				'param_name' => 'portfolio-hover-design',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
			),			

			// Animation Effect
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Animation Effect', 'dtportfolioaddon' ),
				'param_name' => 'animationeffect',
				'value' => $dtpfaddon_animationtypes
				),

			// Animation Delay
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Animation Delay', 'dtportfolioaddon' ),
				'param_name' => 'animationdelay',
				),

			// Repeat Animation
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Repeat Animation','dtportfolioaddon'),
				'param_name' => 'repeat-animation',
				'value' => array( 
							esc_html__('False','dtportfolioaddon') => '',
							esc_html__('True','dtportfolioaddon') => 'true',
						),
			),													

		)
	) );

}
?>