<?php add_action( 'vc_before_init', 'dt_sc_portfolio_slider_vc_map' );
function dt_sc_portfolio_slider_vc_map() {
	vc_map( array(
		"name" => esc_html__( "Single Portfolio - Sliders", 'dtportfolioaddon' ),
		"base" => "dt_sc_portfolio_slider",
		"icon" => "dt_sc_portfolio_slider",
		"category" => DT_PFADDON_TITLE,
		"params" => array(

			// Portfolio ID
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Portfolio ID', 'dtportfolioaddon' ),
				'param_name' => 'portfolio_id',
				'description' => esc_html__( 'Enter portfolio id here. If you are going to use this shortcode in portfolio single page no need to give portfolio id.', 'dtportfolioaddon' ),
				'admin_label' => true
			),

			// Gallery ID(s)
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Gallery ID', 'dtportfolioaddon' ),
				'param_name' => 'gallery_ids',
				'description' => esc_html__( 'Comma separated gallery item ids to display particular gallery items only.', 'dtportfolioaddon' ),
				'admin_label' => true
			),	

			// Show Featured Image
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Featured Image', 'dtportfolioaddon' ),
				'description' => esc_html__( 'Choose "True" if you like to show featured image along with gallery.', 'dtportfolioaddon' ),
				'param_name' => 'show_feature_image',
				'value' => array(
					esc_html__( 'False', 'dtportfolioaddon' ) => '',
					esc_html__( 'True', 'dtportfolioaddon' ) => 'true',
				),
			),

			// Show Featured Video
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Featured Video', 'dtportfolioaddon' ),
				'description' => esc_html__( 'Choose "True" if you like to show featured video along with gallery.', 'dtportfolioaddon' ),
				'param_name' => 'show_feature_video',
				'value' => array(
					esc_html__( 'False', 'dtportfolioaddon' ) => '',
					esc_html__( 'True', 'dtportfolioaddon' ) => 'true',
				),
			),			

			// Effect
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Effect','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-effect',
				'value' => array( 
							esc_html__('Default','dtportfolioaddon') => '', 
							esc_html__('Cover Flow','dtportfolioaddon') => 'coverflow', 
							esc_html__('Cube','dtportfolioaddon') => 'cube', 
							esc_html__('Fade','dtportfolioaddon') => 'fade', 
							esc_html__('Flip','dtportfolioaddon') => 'flip', 
							esc_html__('Multi Rows','dtportfolioaddon') => 'multirows', 
						),
				'description' => esc_html__( 'Choose effect for your carousel. Slides Per View has to be 1 for Cube and Fade effect.', 'dtportfolioaddon' ),
				'std' => ''
			),

			// Number of Rows
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Number of Rows','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-numberofrows',
				'value' => array( 
							1 => 1, 
							2 => 2, 
							3 => 3, 
							4 => 4, 
							5 => 5, 
						),
				'description' => esc_html__( 'Number rows to show, it will work along with multi row effect only.', 'dtportfolioaddon' ),
				'std' => ''
			),				

			// Auto Play
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Auto Play','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-autoplay',
				'description' => esc_html__( 'Delay between transitions ( in ms ). Leave empty if you don\'t want to auto play.', 'dtportfolioaddon' ),
			),			

			// Slides Per View
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Slides Per View','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-slidesperview',
				'value' => array( 
							1 => 1, 
							2 => 2, 
							3 => 3, 
							4 => 4, 
							5 => 5, 
							6 => 6, 
							7 => 7, 
							8 => 8, 
							9 => 9, 
							10 => 10, 							
						),
				'description' => esc_html__( 'Number slides of to show in view port.', 'dtportfolioaddon' ),
				'std' => ''
			),

			// Enable loop mode
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Loop Mode','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-loopmode',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'If you wish you can enable continous loop mode for your carousel.', 'dtportfolioaddon' ),
				'std' => ''				
			),	

			// Enable mousewheel control
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Mousewheel Control','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-mousewheelcontrol',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'If you wish you can enable mouse wheel control for your carousel.', 'dtportfolioaddon' ),
				'std' => ''				
			),	
			
			// Enable centered mode
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Centered Mode','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-centermode',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'If you wish you can enable centered mode for your carousel.', 'dtportfolioaddon' ),
				'std' => ''				
			),

			// Enable vertical direction
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Vertical Direction','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-verticaldirection',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'To make your slides to navigate vertically.', 'dtportfolioaddon' ),
				'std' => ''				
			),			

			// Enable Bullet Pagination
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Bullet Pagination','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-bulletpagination',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'To enable bullet pagination.', 'dtportfolioaddon' ),
				'std' => ''				
			),

			// Enable Fraction Pagination
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Fraction Pagination','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-fractionpagination',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'To enable fraction pagination.', 'dtportfolioaddon' ),
				'std' => ''				
			),

			// Enable Progress Pagination
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Progress Pagination','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-progresspagination',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'To enable progress pagination.', 'dtportfolioaddon' ),
				'std' => ''				
			),	

			// Enable Arrow Pagination
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Arrow Pagination','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-arrowpagination',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'To enable arrow pagination.', 'dtportfolioaddon' ),
				'std' => ''				
			),	
			
			// Arrow Type
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Arrow Type','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-arrowpagination-type',
				'value' => array( 
							esc_html__('Default','dtportfolioaddon') => '', 
							esc_html__('Type 2','dtportfolioaddon') => 'type2', 
						),
				'description' => esc_html__( 'Choose arrow pagination type for your carousel.', 'dtportfolioaddon' ),
				'std' => ''
			),

			// Enable Thumbnail Pagination
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Thumbnail Pagination','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-thumbnailpagination',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'To enable thumbnail pagination.', 'dtportfolioaddon' ),
				'std' => ''				
			),	

			// Enable Scrollbar
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Scrollbar','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-scrollbar',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'To enable scrollbar for your slider.', 'dtportfolioaddon' ),
				'std' => ''				
			),								

			// Pagination Color Scheme
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Pagination Color Scheme','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-paginationcolorscheme',
				'value' => array( 
							esc_html__('Light','dtportfolioaddon') => '', 
							esc_html__('Dark','dtportfolioaddon') => 'dark', 
						),
				'description' => esc_html__( 'Choose pagination color scheme for your carousel.', 'dtportfolioaddon' ),
				'std' => ''
			),	

			// Enable Play/Pause Button
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Play/Pause Button','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-playpausebutton',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'To enable play pause button for your carousel.', 'dtportfolioaddon' ),
				'std' => ''				
			),	

			// Hover Arrows
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Hover Arrows','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-hoverarrows',
				'value' => array( 
							esc_html__('Default','dtportfolioaddon') => 'grabcursor-mousepointer', 
							esc_html__('Horizontal Navigation','dtportfolioaddon') => 'horizontal-mousepointer',
							esc_html__('Vertical Navigation','dtportfolioaddon') => 'vertical-mousepointer',
							esc_html__('Detailed Navigation','dtportfolioaddon') => 'detailed-mousepointer', 
						),
				'description' => esc_html__( 'Choose carousel hover arrows as your wish.', 'dtportfolioaddon' ),
				'std' => ''
			),																											

			// Enable Click Functionality For Detailed Navigation
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Click Functionality For Detailed Navigation','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-detailednav-click',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'To enable click functionality for detailed navigation arrows. This option will take "Slides Per View" as 1.', 'dtportfolioaddon' ),
				'std' => ''				
			),	

			// Space Between Sliders
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Space Between Sliders','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-spacebetween',
				'description' => esc_html__( 'Space between sliders can be given here.', 'dtportfolioaddon' ),
			),	

			// Overall Pagination Design Types
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Overall Pagination Design Types','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-pagination-designtype',
				'value' => array( 
							esc_html__('Default','dtportfolioaddon') => '', 
							esc_html__('Type 2','dtportfolioaddon') => 'type2', 
							esc_html__('Type 3','dtportfolioaddon') => 'type3', 
						),
				'description' => esc_html__( 'Choose overall pagination design type for your carousel.', 'dtportfolioaddon' ),			
				'std' => ''
			),	

			// Slider Position
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Slider Position','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-slider-position',
				'value' => array( 
							esc_html__('Default','dtportfolioaddon') => '', 
							esc_html__('Manual Height','dtportfolioaddon') => 'manual-height', 
							esc_html__('Fit Between Header and Footer','dtportfolioaddon') => 'fit-slider',
							esc_html__('Fullscreen Slider','dtportfolioaddon') => 'fullscreen-slider' 
						),
				'description' => esc_html__( 'Choose slider position here.', 'dtportfolioaddon' ),		
				'std' => ''
			),	

			// Slider Height
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Slider Height','artgala-core'),
				'param_name' => 'portfolio-carousel-slider-height',
				'description' => esc_html__( 'If you wish you can specify the height of the slider here.', 'artgala-core' ),
				'dependency' => array(
					'element' => 'portfolio-carousel-slider-position',
					'value' => array('manual-height'),
				),				
			),


			// Show Details Over Content 
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Details Over Content', 'dtportfolioaddon' ),
				'description' => esc_html__( 'Choose "True" if you like to show portfolio details selected below along with gallery.', 'dtportfolioaddon' ),
				'param_name' => 'show-details-over-content',
				'value' => array(
					esc_html__( 'False', 'dtportfolioaddon' ) => '',
					esc_html__( 'True', 'dtportfolioaddon' ) => 'true',
				),
			),

			// Show Title 
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Title', 'dtportfolioaddon' ),
				'description' => esc_html__( 'Choose "True" if you like to show portfolio title along with gallery.', 'dtportfolioaddon' ),
				'param_name' => 'show-title',
				'value' => array(
					esc_html__( 'False', 'dtportfolioaddon' ) => '',
					esc_html__( 'True', 'dtportfolioaddon' ) => 'true',
				),
			),

			// Show Categories 
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Categories', 'dtportfolioaddon' ),
				'description' => esc_html__( 'Choose "True" if you like to show portfolio categories along with gallery.', 'dtportfolioaddon' ),
				'param_name' => 'show-categories',
				'value' => array(
					esc_html__( 'False', 'dtportfolioaddon' ) => '',
					esc_html__( 'True', 'dtportfolioaddon' ) => 'true',
				),
			),

			// Content to show
			array(
				'type' => 'textarea_html',
				'heading' => esc_html__( 'Content To Show', 'dtportfolioaddon' ),
				'description' => esc_html__( 'If you like to show any content along with gallery, leave empty if not.', 'dtportfolioaddon' ),
				'param_name' => 'content',
			),	

			// Show Navigation Links 
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Navigation Links ', 'dtportfolioaddon' ),
				'description' => esc_html__( 'Choose "True" if you like to show portfolio navigation links along with gallery.', 'dtportfolioaddon' ),
				'param_name' => 'show-navigation-links',
				'value' => array(
					esc_html__( 'False', 'dtportfolioaddon' ) => '',
					esc_html__( 'True', 'dtportfolioaddon' ) => 'true',
				),
			),									

		)
	) );
}?>