<?php 
add_action( 'vc_before_init', 'dt_sc_portfolios_addon_vc_map' );
function dt_sc_portfolios_addon_vc_map() {

	global $dtpfaddon_animationtypes;

	vc_map( array(
		"name" => esc_html__( "Portfolios Template", 'dtportfolioaddon' ),
		"base" => "dt_sc_portfolios",
		"icon" => "dt_sc_portfolios",
		"category" => DT_PFADDON_TITLE,
		"params" => array(

			// Portfolio ID
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Portfolio ID', 'dtportfolioaddon' ),
				'param_name' => 'portfolioid',
				'description' => esc_html__( 'Enter portfolio id to display the single item.', 'dtportfolioaddon' ),
			),

			// Number Of Posts
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Number Of Posts', 'dtportfolioaddon' ),
				'param_name' => 'portfolio-post-per-page',
				'description' => esc_html__( 'Number of posts to show.', 'dtportfolioaddon' ),
			),

			// Post Style
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Post Style','dtportfolioaddon'),
				'param_name' => 'portfolio-post-style',
				'value' => array( 
							esc_html__('Default','dtportfolioaddon') => 'default', 
							esc_html__('Full Page','dtportfolioaddon') => 'portfolio-fullpage', 
							esc_html__('Parallax','dtportfolioaddon') => 'portfolio-parallax', 
							esc_html__('Striped','dtportfolioaddon') => 'portfolio-striped', 
							esc_html__('Fixed','dtportfolioaddon') => 'portfolio-fixed', 
							esc_html__('Framed','dtportfolioaddon') => 'portfolio-framed', 
							esc_html__('Multi Scroll','dtportfolioaddon') => 'portfolio-multiscroll', 
						),
			),

			// Details Below Image
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show Details Below Image','dtportfolioaddon'),
				'param_name' => 'portfolio-details-below-image',
				'value' => array( 
								esc_html__('None','dtportfolioaddon') => '', 
								esc_html__('Details Below Image','dtportfolioaddon') => 'details-below-image', 
                            ),
			),

			// Hover Style
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Hover Style','dtportfolioaddon'),
				'param_name' => 'portfolio-hover-style',
				'value' => array( 
								esc_html__('Default','dtportfolioaddon') => '', 
								esc_html__('Modern Title','dtportfolioaddon') => 'modern-title', 
								esc_html__('Title & Icons Overlay','dtportfolioaddon') => 'title-icons-overlay', 
								esc_html__('Title Overlay','dtportfolioaddon') => 'title-overlay',
	                            esc_html__('Icons Only','dtportfolioaddon') => 'icons-only', 
	                            esc_html__('Classic','dtportfolioaddon') => 'classic', 
	                            esc_html__('Minimal Icons','dtportfolioaddon') => 'minimal-icons',
	                            esc_html__('Presentation','dtportfolioaddon') => 'presentation', 
	                            esc_html__('Girly','dtportfolioaddon') => 'girly', 
	                            esc_html__('Art','dtportfolioaddon') => 'art', 
	                            esc_html__('Extended','dtportfolioaddon') => 'extended', 
	                            esc_html__('Boxed','dtportfolioaddon') => 'boxed', 
	                            esc_html__('Centered Box','dtportfolioaddon') => 'centered-box',
	                            esc_html__('With Gallery Thumb','dtportfolioaddon') => 'with-gallery-thumb', 
	                            esc_html__('With Gallery List','dtportfolioaddon') => 'with-gallery-list', 
	                            esc_html__('Grayscale','dtportfolioaddon') => 'grayscale', 
	                            esc_html__('Highlighter','dtportfolioaddon') => 'highlighter', 
	                            esc_html__('With Details','dtportfolioaddon') => 'with-details', 
	                            esc_html__('Bottom Border','dtportfolioaddon') => 'bottom-border',
	                            esc_html__('With Intro','dtportfolioaddon') => 'with-intro'
                            ),
			),

			// Cursor Hover Style
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Cursor Hover Style','dtportfolioaddon'),
				'param_name' => 'portfolio-cursor-hover-style',
				'value' => array( 
								esc_html__('Default','dtportfolioaddon') => '', 
								esc_html__('Style 1','dtportfolioaddon') => 'cursor-hover-style1', 
								esc_html__('Style 2','dtportfolioaddon') => 'cursor-hover-style2',
								esc_html__('Style 3','dtportfolioaddon') => 'cursor-hover-style3',
								esc_html__('Style 4','dtportfolioaddon') => 'cursor-hover-style4',
								esc_html__('Style 5','dtportfolioaddon') => 'cursor-hover-style5',
								esc_html__('Style 6','dtportfolioaddon') => 'cursor-hover-style6', 
                            ),
			),

			// Enable Arrows
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Arrows','dtportfolioaddon'),
				'param_name' => 'portfolio-multiscroll-enable-arrows',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => 'portfolio-multiscroll',
				),
			),				

			// Fullpage navigation position
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Fullpage Navigation Direction','dtportfolioaddon'),
				'param_name' => 'portfolio-fullpage-navigation',
				'value' => array( 
							esc_html__('Left','dtportfolioaddon') => 'left', 
							esc_html__('Right','dtportfolioaddon') => 'right', 
						),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => 'portfolio-fullpage',
				),
				'std' => 'left'
			),

			// Fullpage type
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Fullpage Type','dtportfolioaddon'),
				'param_name' => 'portfolio-fullpage-type',
				'value' => array( 
							esc_html__('Default','dtportfolioaddon') => '', 
							esc_html__('Splitted Section','dtportfolioaddon') => 'splitted-section', 
						),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => 'portfolio-fullpage',
				),
				'std' => ''
			),

			// Disable Auto Scrolling
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Disable Auto Scrolling','dtportfolioaddon'),
				'param_name' => 'portfolio-disable-auto-scrolling',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => 'portfolio-fullpage',
				),
			),

			// Disable Fullpage Js
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Disable Fullpage JS','dtportfolioaddon'),
				'param_name' => 'portfolio-disable-fullpage-js',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => 'portfolio-fullpage',
				),
			),

			// Fullpage splitted sections
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Fullpage Splitted Sections','dtportfolioaddon'),
				'param_name' => 'portfolio-fullpage-splittedsections',
				'value' => array( 
							esc_html__('Leftside Image','dtportfolioaddon') => 'leftside-image', 
							esc_html__('Rightside Image','dtportfolioaddon') => 'rightside-image', 
							esc_html__('Alternate Content','dtportfolioaddon') => 'alternate-content', 
						),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => 'portfolio-fullpage',
				),
				'std' => 'leftside-image'
			),

			// Parallax Effects
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Parallax Effects','dtportfolioaddon'),
				'param_name' => 'portfolio-parallax-effects',
				'value' => array( 
							esc_html__('Default','dtportfolioaddon') => '', 
							esc_html__('Different Parallax Speed','dtportfolioaddon') => 'different-parallax-speed', 
							esc_html__('Random Parallax Effect','dtportfolioaddon') => 'random-parallax-effect', 
						),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => 'portfolio-parallax',
				),
				'std' => ''
			),

			// Post Layout
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Post Layout','dtportfolioaddon'),
				'param_name' => 'portfolio-post-layout',
				'value' => array( 
							esc_html__('I Column','dtportfolioaddon') => 'one-column' ,
							esc_html__('II Columns','dtportfolioaddon') => 'one-half-column' ,
							esc_html__('III Columns','dtportfolioaddon') => 'one-third-column',
							esc_html__('IV Columns','dtportfolioaddon') => 'one-fourth-column',
							esc_html__('V Columns','dtportfolioaddon') => 'one-fifth-column',
							esc_html__('VI Columns','dtportfolioaddon') => 'one-sixth-column',
							esc_html__('VII Columns','dtportfolioaddon') => 'one-seventh-column',
							esc_html__('VIII Columns','dtportfolioaddon') => 'one-eight-column',
							esc_html__('IX Columns','dtportfolioaddon') => 'one-nineth-column',
							esc_html__('X Columns','dtportfolioaddon') => 'one-tenth-column',
						),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' =>  array('default', 'portfolio-parallax', 'portfolio-striped', 'portfolio-fixed', 'portfolio-framed'),
				),
				'std' => 'one-fourth-column'
			),

			// Grid Space
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Grid Space','dtportfolioaddon'),
				'param_name' => 'portfolio-grid-space',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-parallax', 'portfolio-framed'),
				),
			),

			// Filter
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Filter','dtportfolioaddon'),
				'param_name' => 'filter',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' =>  array('default', 'portfolio-framed'),
				),
			),

			// Filter Design Type
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Filter Design Type','dtportfolioaddon'),
				'param_name' => 'portfolio-filterdesign-type',
				'value' => array( 
							esc_html__('Default','dtportfolioaddon') => '', 
							esc_html__('Type 2','dtportfolioaddon') => 'type2', 
							esc_html__('Type 3','dtportfolioaddon') => 'type3', 
						),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' =>  array('default', 'portfolio-framed'),
				),				
			),

			// Categories
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Categories', 'dtportfolioaddon' ),
				'param_name' => 'portfolio-categories',
				'description' => esc_html__( 'Item categories to display.', 'dtportfolioaddon' ),
			),

			// Pagination Type
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Pagination Type','dtportfolioaddon'),
				'param_name' => 'portfolio-pagination-type',
				'value' => array( 
							esc_html__('None','dtportfolioaddon') => '',
							esc_html__('Numbered Pagination','dtportfolioaddon') => 'numbered-pagination',
							esc_html__('Load More','dtportfolioaddon') => 'load-more',
							esc_html__('Lazy Load','dtportfolioaddon') => 'lazy-load',
						),
			),

			// Paged
			array(
				'type' => 'hidden',
				'heading' => esc_html__( 'Paged', 'dtportfolioaddon' ),
				'param_name' => 'paged',
				'value' => 1,
				'dependency' => array(
					'element' => 'portfolio-pagination-type',
					'value' => array('load-more', 'lazy-load'),
				),
			),

			// Ajax Call
			array(
				'type' => 'hidden',
				'heading' => esc_html__( 'Ajax Call', 'dtportfolioaddon' ),
				'param_name' => 'ajax-call',
				'value' => 0,
				'dependency' => array(
					'element' => 'portfolio-pagination-type',
					'value' => array('load-more', 'lazy-load'),
				),
			),

			// Disable Portfolio Item Options
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Disable Portfolio Item Options','dtportfolioaddon'),
				'param_name' => 'portfolio-disable-item-options',
				'value' => array( 
							esc_html__('False','dtportfolioaddon') => '',
							esc_html__('True','dtportfolioaddon') => 'true',
						),
				'description' => esc_html__( 'YES will override individual portfolio item options with below options.', 'dtportfolioaddon' ),
				'group' => 'Miscellaneous',
			),

			// Animation Effect
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Animation Effect', 'dtportfolioaddon' ),
				'param_name' => 'animationeffect',
				'value' => $dtpfaddon_animationtypes,
				'group' => 'Miscellaneous',
				),

			// Animation Delay
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Animation Delay', 'dtportfolioaddon' ),
				'param_name' => 'animationdelay',
				'group' => 'Miscellaneous',
				),

			// Repeat Animation
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Repeat Animation','dtportfolioaddon'),
				'param_name' => 'repeat-animation',
				'value' => array( 
							esc_html__('False','dtportfolioaddon') => '',
							esc_html__('True','dtportfolioaddon') => 'true',
						),
				'group' => 'Miscellaneous',
			),
			
			// Hover Background Color
			array(
				'type' => 'colorpicker',
				'heading' => esc_html__( 'Hover Background Color', 'dtportfolioaddon' ),
				'param_name' => 'hover-background-color',
				'group' => 'Miscellaneous',
				),

			// Hover Content Color
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Hover Content Color','dtportfolioaddon'),
				'param_name' => 'hover-content-color',
				'value' => array( 
							esc_html__('Default','dtportfolioaddon') => '',
							esc_html__('Hover Content Color Dark','dtportfolioaddon') => 'hover-content-color-dark',
							esc_html__('Hover Content Color Light','dtportfolioaddon') => 'hover-content-color-light',
						),
				'group' => 'Miscellaneous',
			),

			// Hover Gradient Color
			array(
				'type' => 'colorpicker',
				'heading' => esc_html__( 'Hover Gradient Color', 'dtportfolioaddon' ),
				'param_name' => 'hover-gradient-color',
				'group' => 'Miscellaneous',
				),

			// Hover Gradient Direction
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Hover Gradient Direction','dtportfolioaddon'),
				'param_name' => 'hover-gradient-direction',
				'value' => array( 
							esc_html__('Left to Right','dtportfolioaddon') => 'lefttoright',
							esc_html__('Top to Bottom','dtportfolioaddon') => 'toptobottom',
							esc_html__('Diagonal','dtportfolioaddon') => 'diagonal',
						),
				'group' => 'Miscellaneous',
			),

			// Hover State
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Hover State','dtportfolioaddon'),
				'param_name' => 'hover-state',
				'value' => array( 
							esc_html__('False','dtportfolioaddon') => '',
							esc_html__('True','dtportfolioaddon') => 'true',
						),
				'group' => 'Miscellaneous',
			),	


			// Display Style
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Display Style','dtportfolioaddon'),
				'param_name' => 'portfolio-displaystyle',
				'value' => array( 
							esc_html__('List','dtportfolioaddon') => '', 
							esc_html__('Carousel','dtportfolioaddon') => 'carousel', 
						),
				'description' => esc_html__( 'Select display style for your portfolio.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''
			),

			// Effect
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Effect','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-effect',
				'value' => array( 
							esc_html__('Default','dtportfolioaddon') => '', 
							esc_html__('Cover Flow','dtportfolioaddon') => 'coverflow', 
							esc_html__('Cube','dtportfolioaddon') => 'cube', 
							esc_html__('Fade','dtportfolioaddon') => 'fade', 
							esc_html__('Flip','dtportfolioaddon') => 'flip', 
							esc_html__('Multi Rows','dtportfolioaddon') => 'multirows', 
						),
				'description' => esc_html__( 'Choose effect for your carousel. Slides Per View has to be 1 for Cube and Fade effect.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''
			),	

			// Number of Rows
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Number of Rows','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-numberofrows',
				'value' => array( 
							1 => 1, 
							2 => 2, 
							3 => 3, 
							4 => 4, 
							5 => 5, 
						),
				'description' => esc_html__( 'Number rows to show, it will work along with multi row effect only.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''
			),	

			// Auto Play
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Auto Play','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-autoplay',
				'description' => esc_html__( 'Delay between transitions ( in ms ). Leave empty if you don\'t want to auto play.', 'dtportfolioaddon' ),			
				'group' => 'Carousel',
			),			

			// Slides Per View
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Slides Per View','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-slidesperview',
				'value' => array( 
							1 => 1, 
							2 => 2, 
							3 => 3, 
							4 => 4, 
							5 => 5, 
							6 => 6, 
							7 => 7, 
							8 => 8, 
							9 => 9, 
							10 => 10, 							
						),
				'description' => esc_html__( 'Number slides of to show in view port.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''
			),

			// Enable loop mode
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Loop Mode','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-loopmode',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'If you wish you can enable continous loop mode for your carousel.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''				
			),	

			// Enable mousewheel control
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Mousewheel Control','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-mousewheelcontrol',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'If you wish you can enable mouse wheel control for your carousel.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''				
			),	
			
			// Enable centered mode
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Centered Mode','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-centermode',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'If you wish you can enable centered mode for your carousel.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''				
			),

			// Enable vertical direction
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Vertical Direction','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-verticaldirection',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'To make your slides to navigate vertically.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''				
			),

			// Enable Bullet Pagination
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Bullet Pagination','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-bulletpagination',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'To enable bullet pagination.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''				
			),

			// Enable Fraction Pagination
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Fraction Pagination','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-fractionpagination',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'To enable fraction pagination.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''				
			),

			// Enable Progress Pagination
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Progress Pagination','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-progresspagination',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'To enable progress pagination.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''				
			),	

			// Enable Arrow Pagination
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Arrow Pagination','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-arrowpagination',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'To enable arrow pagination.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''				
			),	
			
			// Arrow Type
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Arrow Type','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-arrowpagination-type',
				'value' => array( 
							esc_html__('Default','dtportfolioaddon') => '', 
							esc_html__('Type 2','dtportfolioaddon') => 'type2', 
						),
				'description' => esc_html__( 'Choose arrow pagination type for your carousel.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''
			),	

			// Enable Thumbnail Pagination
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Thumbnail Pagination','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-thumbnailpagination',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'To enable thumbnail pagination.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''				
			),	

			// Enable Scrollbar
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Scrollbar','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-scrollbar',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'To enable scrollbar for your slider.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''				
			),						

			// Pagination Color Scheme
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Pagination Color Scheme','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-paginationcolorscheme',
				'value' => array( 
							esc_html__('Light','dtportfolioaddon') => '', 
							esc_html__('Dark','dtportfolioaddon') => 'dark', 
						),
				'description' => esc_html__( 'Choose pagination color scheme for your carousel.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''
			),	

			// Enable Play/Pause Button
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Play/Pause Button','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-playpausebutton',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'To enable play pause button for your carousel.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''				
			),	

			// Hover Arrows
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Hover Arrows','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-hoverarrows',
				'value' => array( 
							esc_html__('Default','dtportfolioaddon') => 'grabcursor-mousepointer', 
							esc_html__('Horizontal Navigation','dtportfolioaddon') => 'horizontal-mousepointer',
							esc_html__('Vertical Navigation','dtportfolioaddon') => 'vertical-mousepointer',
							esc_html__('Detailed Navigation','dtportfolioaddon') => 'detailed-mousepointer', 
						),
				'description' => esc_html__( 'Choose carousel hover arrows as your wish.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''
			),																											

			// Enable Click Functionality For Detailed Navigation
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Click Functionality For Detailed Navigation','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-detailednav-click',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
				'description' => esc_html__( 'To enable click functionality for detailed navigation arrows. This option will take "Slides Per View" as 1.', 'dtportfolioaddon' ),
				'group' => 'Carousel',
				'std' => ''				
			),	

			// Space Between Sliders
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Space Between Sliders','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-spacebetween',
				'description' => esc_html__( 'Space between sliders can be given here.', 'dtportfolioaddon' ),	
				'group' => 'Carousel',
			),	

			// Overall Pagination Design Types
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Overall Pagination Design Types','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-pagination-designtype',
				'value' => array( 
							esc_html__('Default','dtportfolioaddon') => '', 
							esc_html__('Type 2','dtportfolioaddon') => 'type2', 
							esc_html__('Type 3','dtportfolioaddon') => 'type3', 
						),
				'description' => esc_html__( 'Choose overall pagination design type for your carousel.', 'dtportfolioaddon' ),			
				'group' => 'Carousel',
				'std' => ''
			),	

			// Slider Position
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Slider Position','dtportfolioaddon'),
				'param_name' => 'portfolio-carousel-slider-position',
				'value' => array( 
							esc_html__('Default','dtportfolioaddon') => '', 
							esc_html__('Manual Height','dtportfolioaddon') => 'manual-height', 
							esc_html__('Fit Between Header and Footer','dtportfolioaddon') => 'fit-slider',
							esc_html__('Fullscreen Slider','dtportfolioaddon') => 'fullscreen-slider' 
						),
				'description' => esc_html__( 'Choose slider position here.', 'dtportfolioaddon' ),		
				'group' => 'Carousel',
				'std' => ''
			),	

			// Slider Height
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Slider Height','artgala-core'),
				'param_name' => 'portfolio-carousel-slider-height',
				'description' => esc_html__( 'If you wish you can specify the height of the slider here.', 'artgala-core' ),
				'dependency' => array(
					'element' => 'portfolio-carousel-slider-position',
					'value' => array('manual-height'),
				),				
				'group' => 'Carousel',
			),

			// Content Over Slider
			array(
				'type' => 'textarea_html',
				'heading' => esc_html__( 'Content Over Slider', 'dtportfolioaddon' ),
				'description' => esc_html__( 'If you like to show any content over slider you can add it here.', 'dtportfolioaddon' ),
				'param_name' => 'content',
				'group' => 'Carousel',
			),

		)
	) );
}
?>