<?php 
if( !class_exists('DTVCPortfolioAddon') ) {

	class DTVCPortfolioAddon {

		function __construct() {

			add_action( 'admin_enqueue_scripts', array ( $this, 'dtpfaddon_admin_scripts') );
			add_action( 'after_setup_theme', array ( $this, 'dtpfaddon_map_portfolio_shortcodes' ) , 1000 );
			define( 'DT_PFADDON_TITLE',  esc_html__('DT Portfolio Addon','dtportfolioaddon') );

		}

		function dtpfaddon_admin_scripts( $hook ) {

			if($hook == "post.php" || $hook == "post-new.php") {
				wp_enqueue_style( 'dtpfaddon-vc-admin', plugins_url('designthemes-portfolio-addon') .'/visual-composer/admin.css', array(), false, 'all' );
			}

		}

		function dtpfaddon_map_portfolio_shortcodes() {

			global $pagenow;

			$path = plugin_dir_path ( __FILE__ ).'modules/';

			$modules = array(
				'dt_sc_portfolios' => $path.'portfolios.php',
				'dt_sc_onepage_navigation_title_holder' => $path.'onepage-navigation-title-holder.php',
				'dt_sc_portfolio_comments' => $path.'portfolio-comments.php',
				'dt_sc_portfolio_custom_details' => $path.'portfolio-customdetails.php',
				'dt_sc_portfolio_feature_image' => $path.'portfolio-featuredimage.php',
				'dt_sc_portfolio_feature_video' => $path.'portfolio-featuredvideo.php',
				'dt_sc_portfolio_gallery_listing' => $path.'portfolio-gallerylisting.php',
				'dt_sc_portfolio_navigation_links' => $path.'portfolio-navigationlinks.php',
				'dt_sc_portfolio_related_portfolios' => $path.'portfolio-related.php',
				'dt_sc_portfolio_slider' => $path.'portfolio-slider.php',
				'dt_sc_portfolio_terms' => $path.'portfolio-terms.php',
				'dt_sc_portfolio_title' => $path.'portfolio-title.php',
			);

			// Apply filters so you can easily modify the modules 100%
			$modules = apply_filters( 'vcex_builder_modules', $modules );

			if( !empty( $modules ) ){
				foreach ( $modules as $key => $val ) {
					require_once( $val );
				}
			}

		}

	}

}
?>